#
# spec file for package glib2
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define with_systemtap 0

Name:           glib2
%define _name glib
Version:        2.28.0
Release:        3.8.1
# FIXME: change zlib-devel to pkgconfig(zlib) once we have a recent enough version of zlib
# FIXME: find out if tapsets should really be in devel package or in main package
License:        LGPLv2+
Summary:        General-Purpose Utility Library
Url:            http://www.gtk.org/
Group:          System/Libraries
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.14/%{_name}-%{version}.tar.bz2
Source1:        glib2.sh
Source2:        glib2.csh
Source3:        SuSEconfig.glib2
# Not upsteam file. Only proposes upstream packages:
Source4:        glib2-upstream-gnome_defaults.conf
Source5:        macros.glib2
# Not depending on gtk-doc shortens bootstrap compilation path.
# Please update this file from the latest gtk-doc package:
Source6:        gtk-doc.m4
Source99:       baselibs.conf
# PATCH-FIX-OPENSUSE glib2-use-old-pcre.patch vuntz@opensuse.org -- Do no require a too recent version of pcre on openSUSE versions that don't have it
Patch0:         glib2-use-old-pcre.patch
# PATCH-FIX-OPENSUSE glib2-bnc379332-desktop-su.patch bnc379332 vuntz@novell.com -- Use X-KDE-SubstituteUID
Patch8:         glib2-bnc379332-desktop-su.patch
# PATCH-FEATURE-UPSTREAM glib2-bgo569829-gettext-gkeyfile.patch fate300461 bgo569829 vuntz@novell.com -- Look for translation of desktop entry strings via gettext, part that we share with Ubuntu and try to push upstream
Patch10:        glib2-bgo569829-gettext-gkeyfile.patch
# PATCH-FEATURE-OPENSUSE glib2-fate300461-gettext-gkeyfile-suse.patch fate300461 vuntz@novell.com -- Look for translation of desktop entry strings via gettext, part that deals with the openSUSE specific infrastructure (with desktop_translations)
Patch11:        glib2-fate300461-gettext-gkeyfile-suse.patch
# PATCH-FIX-UPSTREAM glib2-force-fam-for-remote-fs.patch bgo#592211 hpj@novell.com -- Try monitoring files on NFS mounts via FAM before falling back to inotify.
Patch12:        glib2-force-fam-for-remote-fs.patch
# PATCH-FIX-UPSTREAM glib2-fix-default-mime-handler.patch bgo#642797 vuntz@opensuse.org -- Fix default mime handler to not be the one of a user-configured less-specific mime type
Patch13:        glib2-fix-default-mime-handler.patch
# PATCH-FIX-UPSTREAM glib2-fix-dbus-connection.patch bgo#672793 badshah400@aim.com -- Fix dbusconnection error, patch came from upstream git
Patch14:        glib2-fix-dbus-connection.patch
BuildRequires:  fam-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libselinux-devel
BuildRequires:  pkg-config
%if 0%{?with_systemtap}
# systemtap-sdt-devel on openSUSE 11.3 was missing a Requires: python.
%if %{?suse_version} <= 1130
BuildRequires:  python
%endif
BuildRequires:  systemtap-sdt-devel
%endif
BuildRequires:  translation-update-upstream
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(libpcre)
%if 0%{?BUILD_FROM_VCS}
# It's important to keep those BuildRequires inside
# BUILD_FROM_VCS to avoid build loops in Factory
BuildRequires:  git-core
BuildRequires:  gtk-doc
%endif
# For temporary %%posttrans script only.
PreReq:         coreutils
PreReq:         /bin/sed
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

%package tools
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- Tools
Group:          Development/Libraries/C and C++

%description tools
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

%package branding-upstream
License:        LGPLv2+
Summary:        Definition of GNOME Default Applications
Group:          System/Libraries
Provides:       %{name}-branding = %{version}
Conflicts:      otherproviders(%{name}-branding)
Supplements:    packageand(%{name}:branding-upstream)
#BRAND: The /etc/gnome_defaults.conf allows to define arbitrary
#BRAND: applications as preferred defaults.
# NOTE: gnome_defaults is not an upstream feature, but a SuSE
# enhancement, but to conform branding conventions, the package is named
# as glib2-branding-upstream.

%description branding-upstream
This branding-style package sets default applications in GNOME in
openSUSE.

This is a dumb package, which provides only upstream GNOME packages as
preferred defaults. You most probably don't want this package. You
probably want to install distribution default glib2-branding and prefer
distribution wise GNOME defaults.

%package devel
#'
License:        LGPLv2+
Requires:       %{name} = %{version} pkg-config glibc-devel
# Now require the subpackages too
Requires:       glib2-tools = %{version}
Requires:       libglib-2_0-0 = %{version}
Requires:       libgmodule-2_0-0 = %{version}
Requires:       libgio-2_0-0 = %{version}
Requires:       libgthread-2_0-0 = %{version}
Requires:       libgobject-2_0-0 = %{version}
Provides:       glib2-doc = 2.19.6
Obsoletes:      glib2-doc < 2.19.6
Summary:        General-Purpose Utility Library -- Development Files
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      glib2-devel-64bit
%endif
#

%description devel
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

This package contains the development files for GLib.

%package devel-static
License:        LGPLv2+
Requires:       %{name}-devel = %{version}
Summary:        General-Purpose Utility Library -- Static Libraries
Group:          Development/Libraries/C and C++

%description devel-static
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

This package contains static versions of the GLib libraries.

%package -n libglib-2_0-0
License:        LGPLv2+
Summary:        General-Purpose Utility Library
Group:          System/Libraries
Requires:       %{name}-branding = %{version}
Recommends:     %{name}-lang
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      glib2-64bit
%endif
#

%description -n libglib-2_0-0
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

%package -n libgmodule-2_0-0
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- Library for Modules
Group:          System/Libraries

%description -n libgmodule-2_0-0
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

The libgmodule library provides a portable way to dynamically load
object files (commonly known as 'plug-ins').

%package -n libgio-2_0-0
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- Library for VFS
Group:          System/Libraries
# bnc#555605: shared-mime-info is required by libgio to properly detect mime types.
Requires:       shared-mime-info
# The tools are useful for people having libgio
Recommends:     %{name}-tools
# Temporarily disable this, pending further discussion
# Recommends:     gvfs

%description -n libgio-2_0-0
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

GIO provides a modern, easy-to-use VFS API.

%package -n libgio-fam
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- GIO Module to use FAM
Group:          System/Libraries
# we need gio-querymodules in %post/%postun
Requires(post): %{name}-tools
Requires(postun): %{name}-tools
Supplements:    packageand(libgio-2_0-0:fam)

%description -n libgio-fam
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

This packages provides a GIO module to use FAM for file monitoring.

%package -n libgthread-2_0-0
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- Library for Threads
Group:          System/Libraries

%description -n libgthread-2_0-0
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

The libgthread library provides a portable way to write multi-threaded
software.

%package -n libgobject-2_0-0
License:        LGPLv2+
Summary:        General-Purpose Utility Library -- Object-Oriented Framework for C
Group:          System/Libraries

%description -n libgobject-2_0-0
GLib is a general-purpose utility library, which provides many useful
data types, macros, type conversions, string utilities, file utilities,
a main loop abstraction, and so on.

The GObject library provides an object-oriented framework for C.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream
%if 0%{?suse_version} <= 1140
%patch0 -p1 -R
%endif
%patch8
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
cp -a %{S:1} %{S:2} %{S:3} .
cp -a %{S:4} gnome_defaults.conf
if ! test -f %{_datadir}/aclocal/gtk-doc.m4 ; then
    cp -a %{S:6} m4macros/
fi
%if 0%{?BUILD_FROM_VCS}
NOCONFIGURE=1 ./autogen.sh
%endif

%build
%if 0%{?suse_version} <= 1140
# Needed by patch0
autoreconf -fi -I m4macros
%endif

%configure \
    --enable-static \
    --enable-selinux \
    --with-pcre=system \
%if 0%{?with_systemtap}
    --enable-systemtap \
%endif
    --with-runtime-libdir=../../%{_lib}

%{__make} %{?_smp_mflags}
%if 0%{?BUILD_FROM_VCS}
%{__make} ChangeLog
%endif

%check
# make check does not work on x86_64. See http://bugzilla.gnome.org/show_bug.cgi?id=554969
# %{__make} %{?jobs:-j%jobs} check

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{_name}20 %{?no_lang_C}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -D -m0644 glib2.sh %{buildroot}%{_sysconfdir}/profile.d/zzz-glib2.sh
install -D -m0644 glib2.csh %{buildroot}%{_sysconfdir}/profile.d/zzz-glib2.csh
install -D -m0755 SuSEconfig.glib2 %{buildroot}/sbin/conf.d/SuSEconfig.glib2
install -D -m0644 gnome_defaults.conf %{buildroot}%{_sysconfdir}/gnome_defaults.conf
# default apps magic
mkdir -p %{buildroot}%{_localstatedir}/cache/gio-2.0 %{buildroot}%{_datadir}/applications
touch %{buildroot}%{_localstatedir}/cache/gio-2.0/defaults.list
ln -s %{_localstatedir}/cache/gio-2.0/defaults.list %{buildroot}%{_datadir}/applications/defaults.list
# gio-querymodules magic
%if "%{_lib}" == "lib64"
mv %{buildroot}%{_bindir}/gio-querymodules %{buildroot}%{_bindir}/gio-querymodules-64
%endif
touch %{buildroot}%{_libdir}/gio/modules/giomodule.cache
# gsettings magic
touch %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled
# remove files we don't care about
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
rm %{buildroot}%{_libdir}/gio/modules/libgiofam.a
# Install rpm macros
mkdir -p %{buildroot}%{_sysconfdir}/rpm
cp %{S:5} %{buildroot}%{_sysconfdir}/rpm
%fdupes %{buildroot}

%posttrans
# If it is an upgrade and gnome_defaults.conf were edited,
# move it from its old location. (Upgrade from <= 10.2)
if test -f etc/opt/gnome/gnome_defaults.conf.rpmsave ; then
    mv etc/gnome_defaults.conf etc/gnome_defaults.conf.rpmnew
    sed "s:etc/opt/gnome:etc:g;s:opt/gnome:usr:g" <etc/opt/gnome/gnome_defaults.conf.rpmsave >etc/gnome_defaults.conf
fi
# If it is an upgrade and gnome_defaults.conf were edited,
# revive it from the RPM backup. (Upgrade from == 10.3)
if test -f etc/gnome_defaults.conf.rpmsave ; then
    mv etc/gnome_defaults.conf etc/gnome_defaults.conf.rpmnew
    mv etc/gnome_defaults.conf.rpmsave etc/gnome_defaults.conf
fi

%post -n libglib-2_0-0 -p /sbin/ldconfig

%post -n libgobject-2_0-0 -p /sbin/ldconfig

%post -n libgthread-2_0-0 -p /sbin/ldconfig

%post -n libgio-2_0-0 -p /sbin/ldconfig

%post -n libgmodule-2_0-0 -p /sbin/ldconfig

%post -n libgio-fam
%if 0
###############################################################################
# Note: when updating this scriptlet, don't forget to also update baselibs.conf
###############################################################################
%endif
%if "%{_lib}" == "lib64"
  %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
  %{_bindir}/gio-querymodules %{_libdir}/gio/modules
%endif

%postun -n libglib-2_0-0 -p /sbin/ldconfig

%postun -n libgobject-2_0-0 -p /sbin/ldconfig

%postun -n libgthread-2_0-0 -p /sbin/ldconfig

%postun -n libgio-2_0-0 -p /sbin/ldconfig

%postun -n libgmodule-2_0-0 -p /sbin/ldconfig

%postun -n libgio-fam
%if 0
###############################################################################
# Note: when updating this scriptlet, don't forget to also update baselibs.conf
###############################################################################
%endif
%if "%{_lib}" == "lib64"
  %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
  %{_bindir}/gio-querymodules %{_libdir}/gio/modules
%endif

%clean
rm -rf %{buildroot}

%files tools
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/gdbus-bash-completion.sh
%{_sysconfdir}/bash_completion.d/gsettings-bash-completion.sh
%{_bindir}/gdbus
%{_bindir}/gio-querymodules*
%{_bindir}/glib-compile-schemas
%{_bindir}/gsettings
%{_mandir}/man1/gdbus.1*
%{_mandir}/man1/gio-querymodules.1*
%{_mandir}/man1/glib-compile-schemas.1*
%{_mandir}/man1/gsettings.1*
# We put those files here, but they don't really belong here. They just don't
# have a better home... The zzz-glib2 scripts could arguably be in
# libglib-2_0-0 but that would break the shared library policy.
%{_sysconfdir}/profile.d/zzz-glib2.*
/sbin/conf.d/SuSEconfig.glib2

%files branding-upstream
%defattr(-,root,root)
%config (noreplace) %{_sysconfdir}/gnome_defaults.conf

%files -n libglib-2_0-0
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS ChangeLog
/%{_lib}/libglib*.so.*

%files -n libgmodule-2_0-0
%defattr(-, root, root)
/%{_lib}/libgmodule*.so.*

%files -n libgobject-2_0-0
%defattr(-, root, root)
/%{_lib}/libgobject*.so.*

%files -n libgthread-2_0-0
%defattr(-, root, root)
/%{_lib}/libgthread*.so.*

%files -n libgio-2_0-0
%defattr(-, root, root)
/%{_lib}/libgio*.so.*
%dir %{_libdir}/gio
%dir %{_libdir}/gio/modules
%ghost %{_libdir}/gio/modules/giomodule.cache
%dir %{_datadir}/glib-2.0/
%dir %{_datadir}/glib-2.0/schemas/
%ghost %{_datadir}/glib-2.0/schemas/gschemas.compiled
%{_datadir}/applications/defaults.list
%dir %{_localstatedir}/cache/gio-2.0
%ghost %{_localstatedir}/cache/gio-2.0/defaults.list

%files -n libgio-fam
%defattr(-,root,root)
%{_libdir}/gio/modules/libgiofam.so

%files lang -f %{_name}20.lang

%files devel
%defattr(-,root,root)
%{_bindir}/glib-genmarshal
%{_bindir}/glib-gettextize
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gtester
%{_bindir}/gtester-report
%doc %{_mandir}/man?/glib-genmarshal.*
%doc %{_mandir}/man?/glib-gettextize.*
%doc %{_mandir}/man?/glib-mkenums.*
%doc %{_mandir}/man?/gobject-query.*
%doc %{_mandir}/man?/gtester.*
%doc %{_mandir}/man?/gtester-report.*
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/glib-2.0/
%{_datadir}/glib-2.0/gdb/
%{_datadir}/glib-2.0/gettext/
%{_datadir}/glib-2.0/schemas/gschema.dtd
%{_includedir}/glib-2.0
%{_includedir}/gio-unix-2.0
%{_libdir}/lib*.so
%dir %{_libdir}/glib-2.0/
%{_libdir}/glib-2.0/include/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/gio
%{_datadir}/gtk-doc/html/glib
%{_datadir}/gtk-doc/html/gobject
%{_datadir}/gdb/auto-load/%{_lib}/*-gdb.py
%if 0%{?with_systemtap}
%{_datadir}/systemtap/tapset/*.stp
%endif
%{_sysconfdir}/rpm/macros.glib2
# Own these directories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
# Own these directories to not depend on gdb
%dir %{_datadir}/gdb
%dir %{_datadir}/gdb/auto-load
%dir %{_datadir}/gdb/auto-load/%{_lib}

%files devel-static
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Tue May 31 2011 badshah400@gmail.com
- Add glib2-fix-dbus-connection.patch from upstream git to fix
  bnc#672793
* Sun Feb 20 2011 vuntz@opensuse.org
- Add glib2-fix-default-mime-handler.patch: this fixes an issue
  where a user has configured a handler for a relatively generic
  mime type, that breaks the default mime handler for subtypes. For
  example, if gvim is explicitly configured to open text/plain,
  then LibreOffice documents will also open in gvim.
* Sun Feb 13 2011 vuntz@opensuse.org
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Tue Feb  8 2011 fcrozat@novell.com
- Update to version 2.28.0:
  + Bugs fixed: bgo#641363, bgo#641395, bgo#641411, bgo#641477,
    bgo#641572, bgo#641688
  + Updated translations.
- Update glib2-use-old-pcre.patch to change configure script too.
  Add call to autoreconf for the patch.
* Thu Jan 27 2011 vuntz@opensuse.org
- Update to version 2.27.92:
  + Update to Unicode 6.0
  + Update PCRE to 8.12
  + Bugs fixed: bgo#637696, bgo#638872, bgo#640042.
  + Updated translations.
- Add glib2-use-old-pcre.patch: we don't have a recent-enough
  version of pcre, so revert the patch doing the update. We apply
  the patch on 11.4 and earlier: when the next development cycle
  opens, we won't need it anymore.
* Mon Jan 24 2011 hpj@novell.com
- Add glib2-force-fam-for-remote-fs.patch: try monitoring files on
  NFS mounts via FAM before falling back to inotify (bgo#592211).
  The patch has been submitted upstream and is not yet in git, but
  we do want it since it fixes a really annoying issue for NFS
  users.
* Fri Jan 14 2011 vuntz@opensuse.org
- Update to version 2.27.91:
  + Bugs fixed: bgo#638838, bgo#638894, bgo#639064, bgo#639084,
    bgo#639177.
  + Updated translations.
- Drop glib2-fix-panel-crash.patch: fixed upstream.
* Sat Jan  8 2011 vuntz@opensuse.org
- Add glib2-fix-panel-crash.patch, taken from git: this fixes a
  crash in gnome-panel.
* Fri Jan  7 2011 vuntz@opensuse.org
- Update to version 2.27.90:
  + Test reports created by gtester-report can now include revision
    information.
  + The g_desktop_app_info_launch_* family of functions now emit a
    DBus signal when an application is launched. Additionally,
    there is a new variant
    g_desktop_app_info_launch_uris_as_manager(), which gives more
    control over the launched process.
  + The memory and null GSettings backends are now available as
    public API.
  + g_get_locale_variants() is a new function that returns a list
    of variants of a locale identifier.
  + Bugs fixed: bgo#587898, bgo#606960, bgo#631980, bgo#634569,
    bgo#635998, bgo#636806, bgo#637262, bgo#637544, bgo#637720,
    bgo#637738, bgo#637759, bgo#637852, bgo#637858, bgo#638349.
  + Updated translations.
* Tue Dec 21 2010 vuntz@opensuse.org
- Update to version 2.27.5:
  + Network support:
  - Add g_tls_certificate_verify() to verify a certificate
  - Add GTlsConnection:use-system-certdb
  - Other TLS api additions
  + GIO:
  - Add g_io_stream_splice_async()/_finish() to splice two
    iostreams
  - Add g_emblemed_icon_clear_emblems() and make GEmblemedIcon
    derivable
  - Remove GPeriodic; it did not receive the necessary review and
    integration work to declare it stable
  + GSequence:
  - New methods g_sequence_lookup() and g_sequence_lookup_iter()
  + Bugs fixed: bgo#617254, bgo#632544, bgo#633350, bgo#634583,
    bgo#635007, bgo#635626, bgo#636100, bgo#636305, bgo#636311,
    bgo#636351, bgo#636387, bgo#636673, bgo#637147, bgo#637171,
    bgo#637237.
  + Updated translations.
* Fri Dec 10 2010 fcrozat@novell.com
- Add support for source service checkout, with %%BUILD_FROM_VCS:
  + Add git-core and gtk-doc BuildRequires.
  + Add call to ./autogen.sh.
  + Enforce gtk-doc html generation by passing --enable-gtk-doc to
  configure.
  + Build ChangeLog since we ship it.
* Mon Dec  6 2010 awafaa@opensuse.org
- Update to version 2.27.4:
  + GIO
  - Mounts are treated as hidden if they have a path element
    that starts with a dot
  - GAppInfo gained API to differentiate between recommended
    and fallback mime handlers
  - g_cancellable_create_source: creates a GSource that triggers
    when the GCancellable is canceled
  - GPollableInput/OutputStream: Interfaces for pollable streams
  - TLS support has landed, with an extension point that is
    implemented in glib-networking
  + GLib
  - Mainloop sources can now have 'child sources'
  - g_get_runtime_dir: New function to return the XDG_RUNTIME_DIR
  + Bugs fixed: bgo#530786, bgo#588189, bgo#630357, bgo#630559,
    bgo#632445, bgo#634239, bgo#634241, bgo#634504, bgo#634613,
    bgo#635640, bgo#635768, bgo#635882, bgo#635187
  + Updated translations.
- Drop glib2-add-back-extension-point.patch: fixed upstream.
* Wed Nov 24 2010 vuntz@opensuse.org
- Add glib2-add-back-extension-point.patch: this adds back the
  gio-desktop-app-info-lookup extension point. This fixes big
  issues when a GIO module using it is installed. Fix bnc#655561.
* Wed Nov 17 2010 vuntz@opensuse.org
- Update to version 2.27.3:
  - The GTimeSpec type that was introduced in the 2.27.2 has been
    dropped again in favour of APIs that return microseconds as
    64-bit integer.
  + GTimer is now using monotonic time unconditionally
  + There are some new functions to facilitate error reporting
    in async GIO APIs: g_simple_async_result_take_error,
    g_simple_async_result_new_take_error,
    g_simple_async_report_take_gerror_in_idle
  + There is new convenience API to us GVariant dictionaries:
    g_variant_lookup
  + It is now possible to delay sending match rules to the D-Bus
    daemon in GDBus: G_DBUS_SIGNAL_FLAGS_NO_MATCH_RULE
  + Support has been added for XDG_RUNTIME_DIR:
    g_get_user_runtime_dir
  + Various fixes for Win64/MSVC builds have been committed
  + Bugs fixed: bgo#620263, bgo#633075, bgo#633381, bgo#633685,
    bgo#633686.
  + Updated translations.
- Changes from version 2.27.2:
  + GApplication:
  - Export actions over DBus and support activating them from
    remote instances
  - Support environment passing
  + GSettings:
  - The gsettings utility has a list-recursively command
  - The gsettings utility has commandline completion for enum
    values
  + GLib is now linked against librt and uses monotonic time for
    timeouts and GPeriod sources. GSource has a new
    g_source_get_time() which returns monotonic time, and
    g_source_get_current_time() has been deprecated
  + Bugs fixed: bgo#158725, bgo#626320, bgo#629247, bgo#629274,
    bgo#631264, bgo#631482, bgo#632169, bgo#632571, bgo#633115,
    bgo#633206, bgo#633339, bgo#633356.
  + Updated translations.
* Mon Nov  1 2010 vuntz@opensuse.org
- Update to version 2.27.1:
  + GDateTime now has full week number support.
    New API: g_date_time_get_week_numbering_year
  + The GSettings schema compiler will now skip over broken .xml
    schema files instead of aborting altogether.
  + GSettings now works properly on bigendian systems.
  + GSettings has more complete support for ranges.
    New API: g_settings_get_range and g_settings_range_check
    The gsettings commandline tool supports ranges too.
  + GApplication has been rewritten; see the API docs for details
    and examples. The action support is not complete yet.
  + The GLib mainloop has gained 'dispatch to context'
    functionality, which can replace manually created idles in many
    cases.
    New API: g_main_context_invoke and g_main_context_invoke_full
  + The gio-desktop-app-info-lookup extension point has been
    removed from GIO. GIO now uses x-scheme-handler mimetypes when
    looking for default applications.
  + On win32, make g_get_user_data_dir() return the
    CSIDL_LOCAL_APPDATA folder on Windows, and not CSIDL_PERSONAL.
    This matches what Qt does, and has been widely requested. Also
    make g_get_user_config_dir() return this and not the (roaming)
    CSIDL_APPDATA folder.
  + A periodic event clock has been added in GIO: GPeriodic. Note
    that this API is still experimental and expected to undergo
    changes before it will be incorporated into a stable GLib
    release. Use at your own risk.
  + Bug fixes: bgo#613822, bgo#618737, bgo#620710, bgo#623400,
    bgo#627126, bgo#627171, bgo#628876, bgo#628937, bgo#629274,
    bgo#629289, bgo#629687, bgo#629849, bgo#629945, bgo#630000,
    bgo#630077, bgo#630185, bgo#630797, bgo#630968, bgo#631263,
    bgo#631264, bgo#631379, bgo#631410, bgo#632884.
  + Updated translations.
- Drop glib2-fix-regex-build.patch: fixed upstream.
* Mon Nov  1 2010 vuntz@opensuse.org
- Add a with_systemtap define to easily switch between building
  with and without systemtap support, and set it to 0 for now: it
  creates a build loop.
* Wed Oct 13 2010 vuntz@opensuse.org
- Pass --with-runtime-libdir=../../%%{_lib} to configure to install
  libraries (just the .so.*, not the .so) in /lib(64)? instead of
  /usr/lib(64)?.
  + This makes sense since most and most tools used during early
    boot stage need glib libraries, and the libraries only link
    against other libraries in /lib(64)? already.
  + It's worth mentioning that gio modules and all the GSettings
    API do require /usr, though: gio modules are installed in
    /usr/lib(64)?/gio and GSettings need
    /usr/share/glib-2.0/schemas. This shouldn't be an issue during
    early boot, since those API don't really make sense there.
- Create a devel-static subpackage, to put the static libraries. It
  depends on the devel subpackage.
- Remove glib2-64bit Obsoletes from libgmodule-2_0-0, libgio-2_0-0,
  libgthread-2_0-0, libgobject-2_0-0: it's already done by
  libglib-2_0-0, and all those libraries depend on libglib-2_0-0.
- Update summaries and descriptions.
- Change the license tag of all packages to LGPLv2+, instead of a
  mix of LGPLv2.1+ and GPLv2+ which are both wrong.
- Change groups of most subpackages to System/Libraries, instead of
  Development/Libraries/C and C++.
- Use find to remove .la files instead of manual rm.
- Put comments that are in the scriptlets area of the spec file in
  "%%if 0" statement: if we don't do that, they actually end up in
  the scriplets and can even make them fail if the scriptlets were
  just "-p /sbin/ldconfig".
* Mon Oct 11 2010 vuntz@opensuse.org
- Add missing Requires for glib2-tools to libgio-fam in
  baselibs.conf.
- Update baselibs.conf to remove assumption in the scriptlets of
  the generated packages that they are 32bit packages.
- Use <prefix> in baselibs.conf since we use full paths there, and
  this is needed for x86 packages that put files in
  /emul/ia32-linux.
* Tue Oct  5 2010 vuntz@opensuse.org
- Update to version 2.27.0 (compared to 2.25.15):
  + Build:
  - massive restructuring to reduce #include abuse
  - tweaks to silence some harmless compiler warnings
  - rename gschema-compile.c to glib-compile-schemas.c
  - Windows fixes
  - fix building with zlib < 1.2.4 on win32
  + GDateTime:
  - better msgctxt for translating month and weekday names
  - API is changed quite a lot, implementation is improved
  - GTimeZone is now exposed
  + GObject:
  - make ordering for overridden interface properties consistent
  - ->priv structures are limited to 64k but this was not
    documented, and exceeding this limit produced bad results.
    Add docs and enforce the limit properly.
  - add g_object_class_install_properties() to install multiple
    properties in one go
  - improve debugging output for GValue containing G_TYPE_STRV
  + GIO:
  - fix priority sorting of GIO extensions
  - add GCredentials support on FreeBSD
  - fix support for IPv6 addresses in URI parsing functions
  - GSocketClient fixes for when g_socket_connect succeeds
    immediately
  - clarify string encoding for GFile constructors in docs
  - new functions g_data_input_stream_read_upto{,async,finish}
  - tweak confusing documentation for g_output_stream_write()
  + GDBus:
  - GDBusMessage can now be locked and copied (like in libdbus)
  - GDBusConnection filter function API has changed again
  - GDBusServer: ::new-connection now declares if the connection
    was claimed
  - add a partial workaround for bgo#627724.
  - very many memory leaks fixed
  + GVariant:
  - check for size == 0 in g_variant_get_bytestring to avoid a
    crash when attempting to get_bytestring() from an empty array
  - improve gobject-introspection annotations
  + GSettings:
  - add GSettings Windows registry backend
  - some internal tweaks to the backend API
  - remove g_settings_list_items
  - add g_settings_list_children and _list_keys to replace it
  - add schema compiler restrictions for dealing with lists
  - don't automatically emit value changed signals on writability
    changes
  + Other:
  - constify the 'parser' vtable param to
    g_markup_parse_context_push()
  - plug many memory leaks in test cases
  + Bugs closed: bgo#50076, bgo#584284, bgo#624546, bgo#626919,
    bgo#628029, bgo#628253, bgo#628331, bgo#628345, bgo#628436,
    bgo#628505, bgo#628839, bgo#628904, bgo#628952, bgo#629192,
    bgo#629251, bgo#629259, bgo#629328, bgo#629429, bgo#629689,
    bgo#629698.
  + Updated translations.
- Add glib2-fix-regex-build.patch to fix build.
* Thu Sep 30 2010 dimstar@opensuse.org
- Add python BuildRequires to work around an error in
  systemtap-sdt-devel packages on openSUSE < Factory/11.4.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.26.0:
  + GSettings:
  - allow override files to have entries for non-existent schemas
  - schema compiler no longer aborts due to an error in a single
    .xml file
  + GDBus:
  - fix some race conditions in the connection test cases
  + GDateTime:
  - hide some implementation details (time zones)
  - fix parameter naming in header file to match .c file
  - add G_GNUC_WARN_UNUSED_RESULT for modifier functions
  - add full ISO 8601 week date support and improve docs
  + Other:
  - g_quark_try_string(NULL) now returns 0 without error
  - clean up confusing code in GSocketControlMessage
  - fix SOCKS5 memory leak
  - improve some docs
  + Bugs closed: bgo#628937, bgo#629687, bgo#630000, bgo#630077,
    bgo#630185,
  + Updated translations.
- Remove python BuildRequires, that was there only because of a bug
  in systemtap-sdt-devel dependencies.
* Sun Sep 19 2010 jengelh@medozas.de
- Add shared-mime-info Requires to libgio-2_0-0. Fix bnc#555605.
* Sun Sep 19 2010 vuntz@opensuse.org
- Update to version 2.25.17:
  + Fix build when compiling against the system-installed pcre
    library (bgo#629971).
- Drop glib2-fix-build-system-pcre.patch: fixed upstream.
* Sat Sep 18 2010 vuntz@opensuse.org
- Update to version 2.25.16:
  + GApplication:
  - GApplication, GAction and related classes have been removed
    from this release of glib. There will -not- be a replacement
    for 2.26.0.
  + Build:
  - massive restructuring to reduce #include abuse
  - tweaks to silence some harmless compiler warnings
  - rename gschema-compile.c to glib-compile-schemas.c
  - Windows fixes
  - fix building with zlib < 1.2.4 on win32
  + GDateTime:
  - better msgctxt for translating month and weekday names
  - API is changed quite a lot, implementation is improved
  - GTimeZone is now exposed
  + GObject:
  - make ordering for overridden interface properties consistent
  - ->priv structures are limited to 64k but this was not
    documented, and exceeding this limit produced bad results.
    Add docs and enforce the limit properly.
  - add g_object_class_install_properties() to install multiple
    properties in one go
  - improve debugging output for GValue containing G_TYPE_STRV
  + GIO:
  - fix priority sorting of GIO extensions
  - add GCredentials support on FreeBSD
  - fix support for IPv6 addresses in URI parsing functions
  - GSocketClient fixes for when g_socket_connect succeeds
    immediately
  - clarify string encoding for GFile constructors in docs
  - new functions g_data_input_stream_read_upto{,async,finish}
  - tweak confusing documentation for g_output_stream_write()
  + GDBus:
  - GDBusMessage can now be locked and copied (like in libdbus)
  - GDBusConnection filter function API has changed again
  - GDBusServer: ::new-connection now declares if the connection
    was claimed
  - add a partial workaround for GObject bgo#627724.
  - very many memory leaks fixed
  + GVariant:
  - check for size == 0 in g_variant_get_bytestring to avoid a
    crash when attempting to get_bytestring() from an empty array
  - improve gobject-introspection annotations
  + GSettings:
  - add GSettings Windows registry backend
  - some internal tweaks to the backend API
  - remove g_settings_list_items
  - add g_settings_list_children and _list_keys to replace it
  - add schema compiler restrictions for dealing with lists
  - don't automatically emit value changed signals on writability
    changes
  + Other:
  - constify the 'parser' vtable param to
    g_markup_parse_context_push()
  - plug many memory leaks in test cases
  + Bugs closed: bgo#50076, bgo#584284, bgo#624546, bgo#626919,
    bgo#628029, bgo#628253, bgo#628331, bgo#628345, bgo#628436,
    bgo#628505, bgo#628839, bgo#628904, bgo#628952, bgo#629192,
    bgo#629251, bgo#629259, bgo#629328, bgo#629429, bgo#629689,
    bgo#629698
  + Updated translations.
- Add glib2-fix-build-system-pcre.patch to fix build with the
  system pcre.
* Fri Sep  3 2010 vuntz@opensuse.org
- Fix typo in %%glib2_gio_module_post from macros.glib2, that was
  causing an error in %%post of packages using it.
* Tue Aug 31 2010 vuntz@opensuse.org
- Update to version 2.25.15:
  + GIO:
  - Memory leak fixes
  - The GZip(De}Compressor can now process header information
  - Support for network proxies has been added, with the GProxy
    interface and the gio-proxy-resolver extension point. GIO
    includes SOCKSv4 and SOCKSv5 implementations, and libproxy
    is also going to provide an implementation of this extension
    point.
  - There are GAction and GActionGroup interfaces now, which will
    be used in GApplication in the near future.
  + GObject:
  - There are now convenience macros for defining boxed and
    pointer types
  + GDBus:
  - Memory leak fixes
  - GDBusProxy for well-known names can now auto-restart
    the service if the name owner disappears
  - Filter functions are now allowed to modify messages
  + GLib:
  - GDateTime is a replacement for GDate that supports time
    and timezone information.
  + Bugs fixed:
  - bgo#50076: Time API to go with date API
  - bgo#449565: Add G_DEFINE_BOXED_TYPE()
  - bgo#617691: Add GZIP header processing to
    GZlibCompressor/GZlibDecompressor
  - bgo#622184: add g_memory_output_stream_steal_data
  - bgo#624546: Modification of GDBusMessage in filter function
  - bgo#627088: Build failure in gdbus-peer.c on FreeBSD
  - bgo#627181: save a memdup
  - bgo#627182: Plug a mem leak in the gdbus-connection test
  - bgo#627187: Plug some gdbus mem leaks
  - bgo#627188: gdbus-non-socket test occasionally fails
  - bgo#627252: G_OPTION_FLAG_NO_ARG is only for callback options
  - bgo#627392: gdbus commit 8a3a4596 breaks win32 compile
  - bgo#627407: FTBFS on !linux UNIX platforms
  - bgo#627604: String error: 'that' twice in a row
  - bgo#627969: ABR in g_file_open_tmp
  - bgo#628084: gdbus-peer fails with assertion
  - bgo#628193: Miscellaneous string fixes
  - bgo#628296: abort() in gsocketconnection.c
  - bgo#628309: Plug a mem leak in GConverterOutputStream
  - bgo#628317: GEmblemedIcon:equal implementation is buggy
  - bgo#628323: Fix invalid reads
  - bgo#628327: Plug a mem leak
  - bgo#628328: Plug a mem leak
  - bgo#628329: Don't leak the FD list
  - bgo#628324: Invalid reads in gdbus-export test
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 2.25.14:
  + GDBus:
  - Make the closure variants of GDBus apis work
  - Make error unregistration work
  - bgo#626748: Use async IO in the IO thread
  + GIO:
  - bgo#626208: Make g_simple_async_result_is_valid work without
    source
  - GSocketClient: add a timeout property
  - Fix memory leaks in GSocketClient
  - bgo#616458: Handle async vs. sync correctly in
    GSocketConnection stream
  - Declare stream base classes as abstract
  - bgo#627071: Clarify semantics of g_output_stream_write()
  + Other:
  - Improve test coverage for GDBus, GRegex, GAsyncResult
  - Drop dead code in pcre, xdgmime
  - bgo#578295: Fix a race condition in gtester
  - bgo#626704: Avoid an extra allocation in GAsyncQueue
  - bgo#626841: Add test case for non-socket GIOStream
  - bgo#622770: More explicit GVariant docs
  - bgo#602417: Imroved docs for GAsyncInitable and
    GSimpleAsyncResult
* Sun Aug  8 2010 vuntz@opensuse.org
- Make %%glib2_gio_module_post and %%glib2_gio_module_postun
  functions that can take an optional argument, to specify for
  which directory we want to create a module cache. By default,
  with no argument, we just use the directory of modules for gio
  itself.
* Sat Aug  7 2010 vuntz@opensuse.org
- Update to version 2.25.13:
  + The primary purpose of this release is to fix a serious problem
    with glib 2.25.12: glibconfig.h (as generated on a Fedora amd64
    system) was being distributed in the tarball. It was being
    used to build some parts of glib on other systems (eg: 32bit
    ones). This was causing some very serious problems.
  + Build and testing:
  - vastly improved test coverage
  - old tests moved to the gtester framework
  - gtester Makefile modified so that the tests only run once
  - cleanup of how we handle includes while building glib
  + GVariant:
  - add a g_return_if_fail (utf8) to g_variant_new_string()
  + GDBus:
  - perform extra sanity checks when serialising messages
  - add API to query and set the byteorder of a GDBusMessage
  - improve debug output, add some extra options
  - if exiting due to the bus disconnecting us, print an error
    message explaining why
  - sort property names correctly
  - don't bother sending RemoveMatch when we will close the
    connection anyway
  - use effective uid/gid for credential passing
  + GSettings:
  - add G_SETTINGS_BIND_INVERT_BOOLEAN for inverting boolean
    bindings without mapping functions
  - mark all strings in the schema compiler for translation
  + Binding:
  - improve closure support for bindings
  - copy GSettings INVERT_BOOLEAN flag
  + Other:
  - fix another complicated GCancellable deadlock possibility
  + Bugs closed: bgo#599590, bgo#619026, bgo#624739, bgo#625472,
    bgo#625500, bgo#625628, bgo#625753, bgo#625827, bgo#625988,
    bgo#626107
  + Updated translations.
- Remove workaround for misinstallation of systemtap files: this is
  fixed now.
* Fri Jul 30 2010 dimstar@opensuse.org
- Update to version 2.25.12:
  + Build:
  - cleanup automake setup
  - rename configure.in to configure.ac
  - various docs fixups
  - move glibconfig.h to glib/
  - disable dtrace support on Mac OS (which has incompatible
    'dtrace')
  + GSettings:
  - add support for vendor override files (to change the default
    values in a schema)
  - change GSettingsBackend vtable
  - add g_settings_reset()
  - support binding to G_TYPE_STRV properties
  + GDBus:
  - many bug fixes, including a serialisation fix
  - stop handling incoming connections as soon as stop() is
    called
  - proper support for file descriptor passing
  - new flags parameter for sending messages
  - new flags parameter for subscribing to signals
  - always reset the message serial when sending a message unless
    G_DBUS_SEND_MESSAGE_FLAGS_PRESERVE_SERIAL is given
  - constness fixes for introspection structures
  - clean ups to subtree registration API
  + Other:
  - fix divide by zero bug in g_malloc_n functions
  - GIO: don't blindly assume that SOCK_CLOEXEC is supported
  - make GObject property notify freezes threadsafe
  - GIO: clean up credentials passing
  - GApplication: make default-quit not apply if register=FALSE
  - GIO: add annotations for gobject-introspection
  + Bugs fixed:
  - bgo#166020 use GAtomic for refcounting
  - bgo#617483 Credentials passing
  - bgo#622005 [GApplication] no way to modify the "default-quit"
    property
  - bgo#623293 vendor override files
  - bgo#623810 Message serialization bug
  - bgo#623815 Don't check sender for GDBusProxy objects where
    name is not set
  - bgo#624473 GDBusSubtreeIntrospectFunc return type
  - bgo#624483 GDBusSubtreeEnumerateFunc clarification
  - bgo#624484 GDBusSubtreeDispatchFunc clarification
  - bgo#624754 gdbusaddress.c missing sys/wait.h
  - bgo#624968 div by zero in g_malloc_n family
  - bgo#624991 GSettings mapping for G_TYPE_STRV
  - bgo#625383 Add missing GI annotations
  + Updated translations.
* Thu Jul 22 2010 vuntz@opensuse.org
- Add rpm macros to ease installation of external gio modules and
  of gsettings schemas.
- Rename the main package to glib2-tools since it's really what it
  contains. Instead, make libglib-2_0-0 provides/obsoletes glib2.
- Make the devel package Requires glib2-tools, since users of the
  new rpm macros will need the tools during the build.
- Also do not move the post/postun scriptlets of previous glib2 to
  glib2-tools: gio-querymodules needs to be called by packages
  installing a module, not by the package containing
  gio-querymodules.
- Move glib-compile-schemas from devel package to glib2-tools.
- Add %%{_datadir}/glib-2.0/schemas/gschemas.compiled ghost file to
  libgio-2_0-0: this is where gsettings schemas will be compiled.
- Add glib2-tools Recommends to libgio-2_0-0, since those tools are
  useful when libgio is installed.
* Wed Jul 21 2010 vuntz@opensuse.org
- Change pcre-devel BuildRequires to pkgconfig(libpcre).
- Remove checks for old versions of openSUSE (11.0).
- Remove conflicts with gnome-vfs2 < 2.22.0 which is not needed
  since openSUSE 11.0.
- Remove workaround that was settings the +x permission on
  gtester-report.
- Add systemtap support: add systemtap-sdt-devel BuildRequires,
  pass --enable-systemtap to configure and add workaround for
  misinstalled tapsets. We also temporary need a python
  BuildRequires because of a missing dependency for
  systemtap-sdt-devel.
- Use %%{?_smp_mflags} instead of %%{?jobs:-j%%jobs}.
* Wed Jul 14 2010 dimstar@opensuse.org
- Update to version 2.25.11:
  + Many changes since 2.24.1. See NEWS for the full list of
    changes, the list below is only highlights.
  + Add GSettings API.
  + Add a predefined boxed type for GError.
  + Add support for timeouts in GSocket.
  + Add GDBus API.
  + GVariant now requires strings to be UTF-8.
  + Initial support for dtrace and systemtap profiling.
  + Add GPermission interface.
  + Add GApplication API.
  + Add GBinding API.
  + Deprecate GRelation and GCompletion.
  + Updated translations.
* Thu Jun  3 2010 vuntz@opensuse.org
- Break a requirement cycle between glib2 and libgio-2_0-0, to fix
  bnc#595702:
  + remove libgio-2_0-0 Requires(post)/Requires(postun) from main
    package
  + remove glib2 Requires from libglib-2_0-0, libgmodule-2_0-0,
    libgio-2_0-0, libgthread-2_0-0, libgobject-2_0-0.
  + add a Recommends for glib2-lang in libglib-2_0-0 to make the
    translations installed by default.
- Move some gio files from glib2 to libgio-2_0-0. Unfortunately, it
  means we get unversioned files in a subpackage for a versioned
  library, but that's what we really need: /usr/lib/gio belongs
  there and we have a symlink pointing to
  /usr/share/applications/defaults.list (so we don't want a
  dangling symlink).
* Mon May  3 2010 captain.magnus@opensuse.org
- Update to version 2.24.1:
  + bgo#615379: g_new macros crash if sizeof(struct_type) == 0
  + bgo#614185: g_type_class_add_private() documentation is not
    correct
  + bgo#614372: g_stat() is funny
  + bgo#615111: GAsyncInitable's default implementation is broken
  + Fix race in g_cancellable_cancel()
  + Fix for g_variant_iter_loop()
  + Make g_string_append_len() accept NULL lf len == 0
  + Fix typo in GMutex error message
  + Translation updates
* Fri Mar 26 2010 vuntz@opensuse.org
- Update to version 2.24.0:
  + Bug fixes:
  - bgo#613601: buglet in dup_close_on_exec_fd
  - bgo#584284: g_data_input_stream_read_until_async behaves
    confusingly
  - bgo#613748: Write errors in middle of copy cause hang
  - bgo#613923: splice_stream_with_progress: wrong error handling
  - bgo#613667: Typo in GObject documentation
  - bgo#613618: gvariant format string docs unclear
  + Updated translations.
* Mon Mar 22 2010 dimstar@opensuse.org
- Update to version 2.23.6:
  + Class private data:
  - support for private data associated with a GTypeClass
  + GVariant merge is now complete:
  - loading functions and parser merged
  + Windows improvements:
  - socket fixes
  - various build improvements
  - removal of GCC/C99isms in favour of portable code
  - drop unmaintained Visual Studio 8 support
  + Minor API addition:
  - g_desktop_app_info_get_filename()
  + Bugs fixed:
  - bgo#521707 Class private data
  - bgo#612502 build fails on glib/tests/gvariant.c
  - bgo#612832 [GDesktopAppInfo] New function
    g_desktop_app_info_get_filename
  - bgo#612702 [PATCH] Fix GSocket-related crash on Windows
  - bgo#612736 Improve the documentation about single include
  - bgo#610858 gvariant test fails sometimes
  - bgo#612327 uninitialized variable
  + Updated translations.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 2.23.5:
  + New API addition: g_malloc_n() and friends used to implement an
    overflow-safe family of g_new() macros.
  + GVariant:
  - GVariantBuilder and GVariantIter are now merged.
  - The variable arguments API is now merged.
  - The parser will be in a future release.
  + GIO:
  - Remove GUtf8InputStream (which never appeared in a stable
    release) for now since it doesn't satisfy the needs of its
    main intended use case.  We hope to reimplement this feature
    in a better form in a future release.
  + Bugs fixed:
  - bgo#609531: missing licence headers
  - bgo#612107: Missing G_FILE_ATTRIBUTE_TRASH_ORIG_PATH
  - bgo#611897: g_io_modules_scan_all_in_directory leaks
  - bgo#608196: Overflow-safe g_new family
  - bgo#611696: gio uses GetAddrInfo which requires special
    handing on windows 2k
  - bgo#605667: Don't use G_PARAM_SPEC_VALUE_TYPE when we know
    the pspec is valid
  - bgo#610860: test_g_file_open_readwrite fails if $HOME is
    unwritable
  - bgo#552912: glib-2.18 /live-g-file/test_copy_move failed when
    run as root
  - bgo#609813: Renaming a file discards file notes
  + Updated translations.
* Mon Feb 22 2010 dimstar@opensuse.org
- Update to version 2.23.4:
  + GVariant:
  - The core of GVariant has been merged now, with some API still
    to follow.
  + GIO:
  - There is a new interface GFileDescriptorBased for file
    descriptor based IO. GLocalFile{Input,Output}Stream implement
    it
  - Use splice(2) to transfer data between file descriptors
    without extraneous copies
  - Add a way to request move events from file monitors
  + Bugs fixed:
  - bgo#609143 - *result_uncertain is never assigned in
    g_content_type_guess
  - bgo#604086 - Use splice(2) when doing local file copies
  - bgo#547890 - No move events for GFileMonitorEvent?
  - bgo#568760 - nautilus freezes due to a bug in garray.c:322
  - bgo#609962 - Add info about the use of G_DEFINE_INTERFACE
  - bgo#609564 - g_base64_encode_close docs should mention outbuf
    size...
  - bgo#610484 - g_variant_equal bug
  - bgo#610131 - libasyncns does not compile on Solaris 8
  - bgo#609530 - missing single header include guards
  + Updated translations
* Fri Feb 12 2010 vuntz@opensuse.org
- Do not call gio-querymodules in %%postun of the main package since
  we don't have gio-querymodules anymore at that point.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 2.23.3:
  + GLib now has a facility for locks that consume only one bit of
    storage inside an integer: g_bit_lock()
  + GVariant:
  - The serializer has been merged, with more API to follow
  + Bugs fixed
  - bgo#548967: 1 bit mutex lock
  - bgo#604967: 2.22.3 libasyncns build fails on HP-UX 11.11
  - bgo#608602: G_VALUE_COLLECT_INIT variables shadow those in
    G_VALUE_COLLECT
  - bgo#608743: Crash in g_hostname_to_ascii visiting certain
    website in epiphany
  - bgo#599197: array ref and unref functions crash on NULL
    array.
  - bgo#608159: mem leak in g_io_modules_scan_all_in_directory
  + Updated translations.
* Wed Jan 27 2010 vuntz@opensuse.org
- Correctly use gio-querymodules:
  + package it in main package, with a giomodule.cache ghost file
  + rename it gio-querymodules-64 on 64 bits platforms
  + add Requires(post)/Requires(postun) to main package and
    libgio-fam to make sure that gio-querymodules would work
  + add post/postun scriptlets for main package and libgio-fam
* Mon Jan 25 2010 captain.magnus@opensuse.org
- Update to version 2.23.2:
  + We are now using gcc builtins for atomic operations when
    available
  + g_assert() grew the ability to store assertions in core dumps
  + GIO supports lazy loading of GIO modules, and there is a new
    gio-querymodule utility that goes along with this.
  + Threading changes:
  - The requirements for g_thread_init() have been relaxed
    slightly, it can be called multiple times, and does not have
    to be the first call
  - GObject now links to GThread and threads are enabled
    automatically when g_type_init() is called
  - Thread-safety issues with boxed types in GObject have been
    fixed
  + GObject:
  - Another bunch of performance work has landed
  + GVariant:
  - GVariantType has been merged, with the rest of the GVariant
    API to follow
  + Bugs fixed:
  - bgo#568760 - nautilus freezes due to a bug in garray.c:322
  - bgo#602417 - Document lifecycles of GSimpleAsyncResult and
    friends
  - bgo#604824 - crash in Epiphany: Selecting my Slashdot bo...
  - bgo#448888 - don't init g_slice for always-malloc
  - bgo#531902 - Use GCC atomic buildins for g_atomic*
  - bgo#554887 - boxed type registration is not thread safe
  - bgo#586150 - unresolved symbols when building glib 2.21.2 on
    OS X Tiger
  - bgo#589176 - row gvalue transform array exponentially
  - bgo#594872 - Support storing assertion messages into core
    dump
  - bgo#602240 - Upgrade libasyncns to 0.8
  - bgo#603590 - Speed up G_VALUE_COLLECT
  - bgo#604457 - gutf8inputstream.c: increasing unknown size
    pointer
  - bgo#605686 - GCharsetConverter doesn't flush
  - bgo#605733 - g_memory_output_stream_new violates GObject
    standards
  - bgo#605883 - g_object_new() processes varargs even when there
    are none
  - bgo#605977 - invalid utf-8 conversion in
    g_local_file_get_parse_name(...
  - bgo#606775 - Enable threads by default in gobject
  + Translation updates
* Tue Dec 22 2009 vuntz@opensuse.org
- Update to version 2.23.1:
  + GObject performance work has landed:
  - Construction of simple objects is much faster
  - Interface lookup is lock-free and constant-time now
  - Reduced locking overhead when dealing with types
  + GType now has a G_DEFINE_INTERFACE convenience macro
  + GIO gained GUtf8InputStream, an input stream that performs
    utf-8 validation
  + GLib now has byte-swap macros for gsize and gssize
  + Bugs fixed:
  - bgo#603982: Stack overflow when reading file async with
    filter
  - bgo#557151, bgo#557100, bgo#501166, bgo#585375, bgo#587892,
    bgo#603270, bgo#603476, bgo#603540, bgo#604645, bgo#604875,
    bgo#320482
  + Updated translations.
* Mon Dec 21 2009 vuntz@opensuse.org
- Update gtk-doc.m4 from gtk-doc package.
* Mon Dec 14 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Package baselibs for SPARC
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.23.0:
  + GIO:
  - GConverter: a generic interface for stateful conversions of
    data, suitable for charset conversion, compression,
    decompression, regexp replacement. Concrete implementations
    are GCharsetConverter, GZlibCompressor and GZlibDecompressor.
    GConverterInputStream, GConverterOutputStream are stream
    implementations that convert data while loading or saving it.
  - GMounts can now have a 'default location': a path that
    reflects the main entry point for the user (e.g. the home
    directory).
  - As a consequence of the compression support, GIO depends on
    zlib now.
  + GObject:
  - G_IMPLEMENT_INTERFACE_DYNAMIC: a convenience macro for adding
    interfaces to dynamic types.
  + GModule:
  - The -pthread flag has been added to all gmodule .pc files,
    because it is not generally permissible to load modules that
    are linked against libpthread if the program has not been
    compiled with threading support.
  + Bugs fixed:
  - bgo#601637: GUnixFDMessage should contain a GUnixFDList
  - bgo#585566: GSocketListener API issues
  - bgo#572252: Bug in g_file_test() function.
  - bgo#600550: g_app_info_create_from_commandline doesn't treat
    arguments properly
  - bgo#541236: not detecting exact content type
  - bgo#350200: [PATCH] GTypeModule derived class unref does not
    unload plugin
  - bgo#589631: Please enclose literal values with double quotes
  - bgo#577711: cross compile check for g++ broken
  - bgo#600620: Support X-GNOME-FullName in GAppInfo
  - bgo#598899: GWin32DirectoryMonitor is broken
  - bgo#593809: Nautilus does not restore the position of the
    icons on the desktop...
  - bgo#563627: g_get_prgname() threadsafety
  - bgo#600141: Add -pthread to gmodule pkg-config
  - bgo#593856: file and directory monitors don't work when glib
    is compiled...
  - bgo#324930: Nautilus should disallow copying of symlink to
    FAT drive early
  - bgo#587300: Deadlock when calling g_cancellable_disconnect in
    a...
  - bgo#595138: GFile not robust with invalid input
  - bgo#591216: Warning building resolver.o
  - bgo#590016: Does not compile under MinGW32 + Wine
  - bgo#591214: Warnings building gcancellable.o
  - bgo#561998: Have specific entry points (paths) for mounts...
  - bgo#508157: Add G_IMPLEMENT_INTERFACE_DYNAMIC
  - bgo#535159: g_file_has_parent
  + Updated translations.
- Add zlib-devel BuildRequires.
- Remove AutoReqProv: it's default now.
- Fix self-obsoletion with glib2-doc.
- Drop glib2-mkinstalldirs.patch: I have no idea why this patch has
  been there forever, but I don't think it's needed. This also
  enables us to remove the autoreconf call.
- Drop glib2-aclocal.patch: this is actually unneeded, since
  acinclude.m4 contains what's needed.
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 2.22.2:
  + GIO:
  - Support case-sensitive globs in the shared mime database,
    including support for the newer cache format that allows
    these.
  + GObject:
  - Speed up creation of simple objects
  + Bugs fixed:
  - bgo#597194: Typo in _G_TYPE_CVH macro
  + Updated translations.
* Tue Oct 27 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Sep 30 2009 vuntz@opensuse.org
- Update to version 2.22.1:
  + Bugs fixed:
  - bgo#596064 Test file marked for translation
  - bgo#595972 possibly invalid search in
    mime_info_cache_dir_add_...
  - bgo#596561 C99 style of declaration of variable in
    gmessages.c
  - bgo#596314 g_utf16_to_utf8 returns an invalid UTF8 string
  - bgo#596748 g_async_result_get_source_object returns a new ref
  - bgo#593809 Nautilus does not restore the position of the
    icons...
  - bgo#593775 uses inotify_init1 unconditionally
  + Updated translations.
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 2.22.0:
  + Add gdb python macros to make gobject debugging more pleasant
  + Bugs fixed:
  - bgo#579050: Allow making selected critical and warning
    messages non-fatal
  - bgo#594759: g_socket_send_message fails due to invalid
    sendmsg params
  - bgo#593941: GNetworkAddress skipping addresses when
    enumerating
  - bgo#594597: Fix build with srcdir != builddir
  - bgo#595619: Include gdb pretty printers
  + Changes that might affect bindings:
  - The error parameter of g_simple_async_result_set_from_error
    has been made const.
  + Updated translations.
* Mon Sep  7 2009 lmedinas@opensuse.org
- Update to version 2.21.6:
  + Minor API additions:
  - g_mkstemp_full is a variant of g_mkstemp that allows to
    specify flags and permissions
  + Bugs fixed:
  - bgo#593232 g_rand_new: read no more than requested from
    /dev/urandom
  - bgo#591995 use saved errno
  - bgo#589491 g_time_val_from_iso8601 doesn't handle some cases
  - bgo#593406 Permissions set to 777 after copying via Nautilus
  - bgo#594034 Add g_mkstemp_full()
  + Translation updates.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.21.5:
  + A performance problem with trashing of many files has been
    fixed
  + GResolver now invalidates the libc resolv.conf cache as needed
  + Minor api additions:
  - g_cancellable_make_pollfd returns a boolean now. And there is
    a new function g_cancellable_release_fd that can be used to
    released the resources used by a GCancellable.
  + Bugs fixed:
  - bgo#589988: Compilation error on Solaris 9 (missing stdint.h)
  - bgo#588901: gtcpconnection.c won't compile
  - bgo#584246: GResolver needs to call res_init() when network
    state changes
  - bgo#591714: Figure out failure handling for
    g_cancellable_make_pollfd()
  - bgo#591532: redundent '/' returned from
    g_file_resolve_relative_path
  - bgo#591378: Use MSG_NOSIGNAL in GSocket if it's available
  - bgo#589649: API documentation migration for Base64 Encoding
  - bgo#591840: configure fails with autoconf 2.64
  + Updated translations.
* Sat Jul 18 2009 captain.magnus@opensuse.org
- Update to version 2.21.4:
  + GTree is now refcounted
  + bgo#587938 Undocumented limitation for g_str_equal
  + bgo#587773 refcounts for GTree
  + Translation updates
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 2.21.2:
  + GIO:
  - g_socket_speaks_ipv4 is a new function to check if a socket
    can speak IPv4.
  - g_socket_listener_add_address gained a new effective_address
    out parameter.
  - GIO now returns special icons for XDG user directories, by
    the name folder-music, folder-documents, etc.
  - GIO gained support for starting/stopping of drives, which can
    be used in connection with external hard disk enclosures,
    disk arrays, iSCSI devices, etc. See
    g_file_start/stop_mountable.
  + GLib:
  - g_reload_user_special_dirs_cache is a new function to force
    GLib to reload the XDG user directory mapping from disk.
  + Bug fixes:
  - bgo#584574: glib compile failure on Mac OS X with
    gunixresolver.c and...
  - bgo#585566: GSocketListener API issues
  - bgo#584255: Incorrect freeing of thread pool in
    GThreadedSocketService
  - bgo#585088: g_string_chunk_insert_len stops at nul bytes
  - bgo#585360: Monitor fontconfig configuration files using gio
    causes m...
  - bgo#580103: Terminal starts on Display :0.0 when started on
    :0.1 in D...
  - bgo#580301: network: a few issues on old darwin
  - bgo#583398: SRV weight sorting is incorrect
  - bgo#584176: build fixes on FreeBSD
  - bgo#585189: g_cancellable_reset() must be called in same
    thread as g_...
  - bgo#585280: compilation dies on gio/gsocket.c, needs
    sys/uio.h to con...
  - bgo#585281: gio/gunixfdmessage.c needs sys/types.h for
    platforms that...
  - bgo#585478: don't leak the inotify fd
  - bgo#585575: g_socket_listener_add_inet_port() doesn't do the
    right thing
  - bgo#585599: g_socket_listener_add_socket() consumes the
    socket
  - bgo#585676: GEmblem doesn't reference its 'icon' if that is
    set as a ...
  - bgo#585717: "bytes" nautilus translation to french is not
    shown in th...
  - bgo#541276: XDG directories should have their own icons
  - bgo#585726: Grammatical error in GList documentation
  - bgo#585520: Wrong warning option in documentation
  - bgo#585673: GNOME Goal: Remove deprecated glib symbols
  - bgo#585591: Starting/stopping drives
  + Updated translations.
* Fri May 29 2009 vuntz@novell.com
- Update to version 2.21.1:
  + GIO:
  - Support for network IO has been added, including a low-level
    socket API and a high-level API for network connections and
    services.
  - Support for read-write access with GIOStream and its
    subclasses.
  - GMount gained a pre-unmount signal.
  + Bug fixes:
  - bgo#576104: Implement GMount::pre-unmount
  - bgo#578769: implement GWinHttpFileInputStream::close_fn
  - bgo#582856: gsocket.c doesn't compile on Solaris
  - bgo#569375: g[u]intptr undocumented
  - bgo#573246: [FIX] g_desktop_app_info_dup() can access NULL
    pointer
  - bgo#575013: g_cancellable_push_current() does not allow NULL
  - bgo#577884: live-g-file.c:461: error: format ‘%%d’ expects
    type ...
  - bgo#578499: g_output_stream_splice and stream closing with
    gnio strea...
  - bgo#579558: Application employing gvfs crashes with only
    libgvfscommo...
  - bgo#583001: SIGPIPE (grr!)
  - bgo#583061: Please add convenience function to connect to
    machines by...
  - bgo#583198: typo in error message
  - bgo#583206: use g_set_error_literal where appropriate
  - bgo#583229: void function g_async_initable_init_async returns
    value
  - bgo#583324: locking problem in g_main_context_iterate()
  - bgo#583408: void function g_socket_control_message_serialize
    returns ...
  - bgo#578786: wrong and confusing error message
  - bgo#583205: g_inet_address_to_bytes has no length outparam
  - bgo#583196: mem leak in keyfile test
  - bgo#583663: GSocketType enum ends with a comma
  - bgo#569024: Make g_error_new_valist public
  - bgo#569376: missing G_G[U]INTPTR_FORMAT
  - bgo#580347: off-by-1 bug in GWinHttpFile
  + Updated translations.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.21.0:
  + GIO:
  - New helper functions g_cancellable_connect/disconnect to avoid
    race conditions when connecting to the "cancelled" signal on
    GCancellable.
  - New types and methods for dealing with IPv4 and IPv6 addresses
    (and UNIX domain socket addresses under UNIX). This does not
    include code for actual socket I/O.
  - GResolver provides asynchronous and cancellable APIs for
    resolving hostnames, reverse lookup of IP addresses and
    resolving SRV records.
  + Glib now provides hash and comparison functions for int64 and
    double types, suitable for use with GHashTable.
  + GArray, GPtrArray and GByteArray can be ref counted now, and
    have boxed types.
  + Bugs fixed:
  - bgo#572844: Helper for GCancellable::cancelled
    connect/disconnect
  - bgo#578363: goption docs should be improved
  - bgo#548466: async/cancellable DNS resolver
  - bgo#579830: param spec strings should use P_()
  - bgo#579862: requesting xattr::foo ends up calling
    getxattr(..., user...
  - bgo#580453: Hash and equal functions for gint64 and gdouble
  - bgo#580450: Reference counting and boxed types for arrays
  - bgo#580194: gresolver doesn't build on Solaris
  - bgo#580301: network: a few issues on old darwin
  - bgo#580299: network: include sys/types.h before sys/socket.h
    to insur...
  - bgo#572508: gmarkup speedup
  - bgo#580546: g_strtoull() referenced in documentation...
  - bgo#580656: g_key_file_set_string_list erroneously asserts
    list != NULL
  - bgo#579272: leaks in
    g_simple_async_result_set_op_res_gpointer
  + Updated translations.
* Sat Apr 11 2009 mboman@suse.de
- Update to version 2.20.1:
  + bgo#575555 Use fsync() when replacing files to avoid data loss
  + bgo#575708 runaway inotify madness
  + bgo#575270 GVolumeMonitor::mount-pre-unmount not being emitted
  + bgo#577128 glib make check Failed to execute child process...
  + bgo#573673 Always show "backup" directories
  + bgo#578369 g_time_val_from_iso8601() parses timezones
    incorrectly
  + bgo#578002 Fix a small typo in GFile docs
  + bgo#578017 G_DEFINE_TYPE_EXTENDED docs
  + Translation updates
* Fri Mar 13 2009 mboman@suse.de
- Update to version 2.20.0:
  + Base64 support: Avoid integer overflows. CVE-2008-4316
  + Bugs fixed:
  * bgo#574019 GChecksum: document and guarantee hex characters in
    lower case
  * bgo#573454 Unable copy/move files to directories symlinked to
    gvfs share
  * bgo#561172 gnome-open fails on local URIs with anchors
  * bgo#573970 crash in gunixvolumemonitor:update_mounts when
    unmounting
  * bgo#573843 g_get_current_dir returns non-absolute path
  + Translation updates
- Remove glib2-base64.patch. Fixed differently upstream
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.19.10:
  + GMarkup:
  - Considerable speedup
  + GIO:
  - Add G_FILE_CREATE_REPLACE_DESTINATION flag to allow replacing
    the destination of a copying operation as if it did not exit
    before.
  - Be more careful when classifying files as desktop files
  - Support desktop file key X-GIO-NoFuse which disables the use
    of fuse pathnames for %%u and %%U arguments
  + Bugs fixed: bgo#572672, bgo#572464, bgo#572151, bgo#570501,
    bgo#167569, bgo#572508, bgo#560564, bgo#549298, bgo#543183,
    bgo#540461, bgo#573462, bgo#573421, bgo#573658, bgo#556706,
    bgo#573527, bgo#573128,
  + Updated translations:
- Remove -fno-strict-aliasing from CFLAGS.
- Use makeinstall.
* Thu Feb 19 2009 vuntz@novell.com
- Review changes.
* Wed Feb 18 2009 lmedinas@gmail.com
- Update to version 2.19.8:
  + GIO: Fix missing exports of new API
  + Fix strict aliasing warnings and violations to make Glib work with
    gcc 4.4
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.19.7:
  + GIO
  * GFile gained an attribute for the actual file size in bytes
  * GMountOperation gained an "aborted' signal that allows to
    abort a mount operation from the backend side
  + Bugs fixed:
  * bgo#523742 Use noinst for non-installable libraries
  * bgo#566747 URIs opened with firefox %%u load as local files
  * bgo#541225 Can't compile gio on AIX duplicate case value in
    gioerror.c
  * bgo#571598 GAsyncResult with NULL gobject
  * bgo#505042 add file attribute for actually used file size in
    bytes
  + Translation updates
- Merge -doc into -devel as it only contained gtk-doc
* Tue Feb  3 2009 mboman@suse.de
- Don't delete la files unless version >11.0
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.19.6:
  + New format macro to print goffset data: G_OFFSET_FORMAT
  + GIO:
  * Add a GFilter{Input,Output}Stream::close-base-stream
    properties which determine whether the base stream will be
    closed when the filter stream is finalized.
  * g_data_input_stream_read_line and ..._read_until have
    asynchronous variants now.
  + Bugs fixed:
  * bgo#568294 A wrong reference in the description of
    g_bookmark_file_...
  * bgo#563141 RFE: define G_OFFSET_FORMAT
  * bgo#569105 g_time_val_to_iso8601() assumes time_t==long
  * bgo#568394 dropping the last reference to a stream filter
    closes...
  * bgo#568741 g_buffered_input_stream_fill_async doesn't work
  * bgo#568723 g_buffered_input_stream_fill_async doesn't take
    count == -1
  * bgo#568575 _async functions for GDataInputStream
  + Translation updates
* Sat Jan 31 2009 vuntz@novell.com
- Split glib2-fate300461-desktop-gettext.patch in two patches:
  + glib2-bgo569829-gettext-gkeyfile.patch: this is the part that
    is being discussed upstream.
  + glib2-fate300461-gettext-gkeyfile-suse.patch: this is the
    openSUSE specific part.
  + this should be easier to maintain in the long term.
- With this split, we also fix a bug where translations in the
  desktop files were always ignored, and gettext was always used.
  This was not the intended behavior, and made it impossible to
  customize the name/comment of a launcher, eg.
- Drop glib2-libtool.diff: upstream configure.in already contains
  the change in another place.
- Drop glib-2.17.3-implicitdecl.patch: seems to compile fine
  without this now.
* Sat Jan 31 2009 mboman@suse.de
- Update to version 2.19.5:
  + Update included PCRE to 7.8
  + g_base64_decode_inplace: New function to do base64 decoding in place
  + Bugs fixed: bgo#567138, bgo#566569, bgo#566573, bgo#564728, bgo#567838,
    bgo#567977, bgo#512779, bgo#566770, bgo#565484
  + Translation updates
* Thu Jan 22 2009 vuntz@novell.com
- Do not BuildRequires desktop-file-utils.
- Fix rpmlint warning about usage of packageand.
- Do not put executable bits for files in /etc/profile.d
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.19.4:
  + Use O_NOATIME when sniffing mimetypes
  + Add a convenience method to check if a GSimpleAsyncResult
    is valid
  + bgo#560676 function access for g_threads_supported
  + bgo#565905 There is no g_context_group_set_translation_domain
  + bgo#564210 SUN Studio 12 has supported visibility attribute
  + bgo#565136 GObject's "notify" signal parameters are wrong in gtk-doc
  + bgo#565831 error in interface creation sample
  + bgo#566348 g_file_open_tmp uses the wrong g_mkstemp on win32
  + bgo#566064 Add NOATIME flag to query_info_flags
  + bgo#566170 g_async_result_verify_source_object
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.19.3:
  + bgo#508021 Add support for the CRIS and CRISv32 architectures
  + bgo#526320 should not list mounts that the user doesn't have permission
    to use
  + bgo#558458 Cannot build gio tests on Solaris using SUN cc
  + bgo#555465 GUnix{Input,Output}Stream lacks fd/close_fd_at_close property
  + bgo#558298 Hide ecryptfs mounts
  + bgo#515777 incorrect date&time on copy
  + bgo#562452 Ensure we return G_IO_ERROR_CANCELLED if cancelling
    g_simple_async_result_run_in_thread
  + bgo#473150 g_type_module_use inconsistently increases the use
    counter in case of error
  + bgo#563150 G_GU?INT*_MODIFIER/FORMAT docs
  + bgo#563156 Document printing and scanning gunichar values
  + Translation updates
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Tue Dec  9 2008 mboman@suse.de
- Update to version 2.19.2:
  + GIO:
  - GIcon serialization support
  - new file attribute for preview images
  - new function to get the full commandline
  - New functions to 'shadow' mounts
  + Bugs fixed: bgo#556186, bgo#557087, bgo#556921, bgo#557210, bgo#558381,
    bgo#558185, bgo#558513, bgo#558672, bgo#555740, bgo#557182, bgo#528320,
    bgo#556910, bgo#557592, bgo#556415, bgo#555935, bgo#552776, bgo#559448,
    bgo#561212, bgo#560569, bgo#560568, bgo#559413, bgo#562378, bgo#559110,
    bgo#557603, bgo#562544, bgo#547264, bgo#562638, bgo#562639, bgo#562549,
    bgo#559452, bgo#559462, bgo#559517, bgo#562538, bgo#561352, bgo#561375,
    bgo#561807, bgo#562393, bgo#541715, bgo#547481, bgo#548163, bgo#559633,
    bgo#555486, bgo#505361, bgo#509446, bgo#553820, bgo#553724, bgo#553857,
    bgo#553447, bgo#554092, bgo#528670, bgo#555224, bgo#555309, bgo#554790,
    bgo#555314, bgo#555313, bgo#552861, bgo#554557, bgo#552107, bgo#551355,
    bgo#555311, bgo#556101, bgo#556186, bgo#526456, bgo#553426, bgo#545350,
    bgo#545351, bgo#552168, bgo#554970, bgo#554745, bgo#555121, bgo#555711,
    bgo#555331, bgo#556335, bgo#556334, bgo#556422
  + Rewrite GHashTable to use open addressing with quadratic probing
  + Make g_poll available as public api
  + New macros g_assert_error and g_assert_no_error to assert
    that a GError is set or unset
  + New method to make a GPollFD for a cancellable
  + When launching applications, always pass fuse file:// uris when possible,
    and let gio convert such uris back to gio uris.
  + Translation updates
- Disable 'make check'. See bgo#554969
- Remove glib2-bnc402256-filename-leak.diff. Fixed upstream
* Mon Dec  8 2008 vuntz@novell.com
- Update glib2-fate300461-desktop-gettext.patch: correctly use
  bind_textdomain_codeset(), and also only do it once for the
  default gettext domain (for performance reasons).
  Fix bnc#455987, thanks to Michael Meeks for debugging.
* Mon Nov 24 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Nov 11 2008 ro@suse.de
- SLE-11 uses PPC64 instead of PPC, adapt baselibs.conf
* Thu Nov  6 2008 federico@novell.com
- Added glib2-bnc402256-filename-leak.diff as part of the fix for
  https://bugzilla.novell.com/show_bug.cgi?id=402256 - memory leaks
  found from gnome-main-menu.
* Thu Oct 23 2008 maw@suse.de
- Only build with selinux on systems newer than 11.0.
* Tue Oct 21 2008 maw@suse.de
- Update to version 2.18.2:
  + Bugs fixed: bgo#553724, bgo#553857, bgo#554790, bgo#555314,
    bgo#554970, bgo#555121, bgo#555711, and bgo#556334
  + Updated translations.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Sun Sep 28 2008 ro@suse.de
- add gcc-c++ to buildreqires to work around libtool problem
* Fri Sep 19 2008 maw@suse.de
- Update to version 2.18.1:
  + Bugs fixed: bgo#550433, bgo#523463, bgo#551228, bgo#551410,
    bgo#551731, bgo#548321, bgo#551149, bgo#550647, bgo#551887,
    bgo#551681, bgo#552352, bgo#551408, and bgo#552359
  + Updated translations.
* Fri Sep 12 2008 vuntz@novell.com
- Update glib2-fate300461-desktop-gettext.patch to make it able to
  load translations from the desktop-translations package.
  This is part of fate#300461 again.
* Thu Sep  4 2008 maw@suse.de
- Update to version 2.18.0:
  + Bugs fixed: bgo#324234, bgo#548278, bgo#500246, bgo#523939,
    bgo#550096, bgo#550040, bgo#550104, bgo#548988, bgo#550059,
    bgo#548800, and bgo#550056
  + Updated translations.
* Mon Aug 25 2008 maw@suse.de
- Update to version 2.17.7:
  + Bugs fixed: bgo#546329, bgo#546876, bgo#547200, bgo#547637,
    bgo#547337, bgo#547832, bgo#502498, bgo#546371, bgo#546483,
    bgo#546132, bgo#542156, bgo#535124, bgo#547080, bgo#546582, and
    bgo#547262
  + Updated translations
- Tag glib-2.17.3-implicitdecl.patch.
* Mon Aug 25 2008 aj@suse.de
- Remove .la files from devel package and cleanup requires of devel
  package.
* Sat Aug 23 2008 aj@suse.de
- Add require on libselinux for devel package.
* Fri Aug 22 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Thu Aug 21 2008 maw@suse.de
- Version the devel subpackage's requirements to avoid update
  breakage.
* Wed Aug  6 2008 maw@suse.de
- Update to version 2.17.6:
  + g_markup_context_get_user_data: New function to access the
    user_data outside of callbacks
  + GIO:
    + g_mount_guess_content_type_sync: synchronous version of
    g_mount_guess_content_type
    + GEmblem: A GIcon implementation that adds emblem-related
    metadata to icons
    + GEmblemedIcon: A GIcon implementation that can add emblems
    to icons
  + Bugs fixed: bgo#544088, bgo#544465, bgo#545485, bgo#545798,
    bgo#544140, bgo#529694, bgo#545157, bgo#545203, bgo#545457,
    bgo#544177, bgo#545395, bgo#541036, bgo#546079, bgo#545395,
    and bgo#546017
  + Updated translations.
* Thu Jul 31 2008 maw@suse.de
- Update to version 2.17.4:
  + GIO:
  * New API to handle content types: g_mount_guess_content_type,
    g_content_type_guess_for_tree
  * Export the eject-button signal on the volume monitor class
  * New API to enable out-of-process volume monitors:
    g_volume_get_activation_root
  + GObject:
  * New API to handle signals without slots in the class
    structure: g_signal_new_class_handler and
    g_signal_override_class_handler
  + Internationalization:
    + Add an NC_ macro that is a no-op equivalent of C_
  + GMarkup:
  * Add two new functions, g_markup_parse_context_push and
    g_markup_parse_context_pop, to support "subparsers"
  + Bugs fixed: bgo#541208, bgo#541507, bgo#543040, bgo#543560,
    bgo#528317, bgo#337518, bgo#541794, bgo#541793, bgo#467707,
    bgo#428048, bgo#542332, bgo#482413, bgo#406120, bgo#334234,
    bgo#536996, bgo#540616, bgo#539229, bgo#521589, bgo#543168,
    bgo#543220, bgo#530759, bgo#535223, and bgo#543504
  + Updated translations
- Tag glib-2.17.3-implicitdecl.patch.
* Mon Jul 28 2008 vuntz@novell.com
- Add glib2-fate300461-desktop-gettext.patch to support
  translation of desktop entries via gettext, using the
  X-SUSE-Gettext-Domain key. The patch is based on a similar patch
  from Ubuntu. This is part of fate#300461
* Fri Jul 25 2008 sbrabec@suse.cz
- nautilus-folder-handler added to gnome-defaults.conf (bnc#410728)
* Sun Jul 20 2008 crrodriguez@suse.de
- fix build
- incidentally, this also fixes a problem on PPC caused by an
  endianness bug; the GTK2 build failed causing a chain of errors
  resulting in misleading libglitz.la related build failures.
- run make check, so that the next time the aforementioned problem
  is caught before it causes further problems.
* Wed Jul 16 2008 maw@suse.de
- Update to version 2.17.3:
  + Bugs fixed: bgo#538119, bgo#537635, bgo#539067, bgo#535949,
    bgo#539123, bgo#539074, bgo#316221, bgo#539770, bgo#539626,
    bgo#538044, bgo#540545, bgo#535947, bgo#539999, bgo#536252,
    bgo#538362, bgo#540802, bgo#540423, bgo#538836, bgo#539090,
    bgo#540331, bgo#534639, bgo#536733, bgo#536160, bgo#538127,
    bgo#531476, bgo#538564, and bgo#540047
  + Updated translations
  + The version of PCRE included in 2.17.3 has been fixed with
    respect to CVE-2008-2371; note, however, that as of 10.3/11.0,
    SUSE's glib2 packages use the system PCRE.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.17.2:
  + New function: g_utime(), a gstdio wrapper for utime()
  + New functions: g_dgettext() and g_dngettext(), wrappers
    for corresponding gettext functions with added functionaliy
  + Support the latest version of the shared-mime spec, including
    icons for mime types
  + New function: g_themed_icon_prepend_name()
  + Bugs fixed: bgo#35418, bgo#28715, bgo#28714, bgo#37260,
    bgo#30527, bgo#30526, bgo#28719, bgo#28172, bgo#28717,
    bgo#28716, bgo#37555, bgo#37546, bgo#37392, bgo#36641,
    bgo#28600, bgo#03071, bgo#02511, bgo#38162, bgo#14453,
    bgo#29321, bgo#55215, bgo#98732, bgo#11367, bgo#31900,
    bgo#36158, bgo#31403, bgo#35628, and bgo#35625
  + Updated translations.
* Fri Jun  6 2008 maw@suse.de
- Update to version 2.17.0:
  + Update to Unicode 5.1
  + Update included libcharset to the one shipped with libiconv
    0.12
  + Update included PCRE to 7.7 (note, however, that this package
    uses the system's PCRE)
  + Enforce that only toplevel headers are directly included; this
    is turned on by default for GObject and GIO; to turn it on for
    GLib, define G_DISABLE_SINGLE_INCLUDES
  + Fix library version of GIO; GLib 2.16 shipped with
    libgio-2.0.so.0.0.0
  + Use the GIO_EXTRA_MODULES environment variable to find
    additional GIO modules
  + G_GNUC_ALLOC_SIZE: New macro that wraps the gcc alloc_size
    function attribute
  + g_checksum_reset: New function to reset the state of a
    GChecksum
  + g_unix_mount_monitor_set_rate_limit: New function to limit the
    rate at which events are reported
  + g_file_query_file_type: New utility function to query the type
    of a file
  + g_memory_output_stream_get_data_size: New function to obtain the
    size of the written data.
  + Bugs fixed: bgo#522292, bgo#523298, bgo#518160, bgo#523877,
    bgo#525192, bgo#315437, bgo#524314, bgo#525732, bgo#525674,
    bgo#448943, bgo#525972, bgo#526619, bgo#491554, bgo#519137,
    bgo#528752, bgo#530457, bgo#528667, bgo#459905, bgo#534085,
    bgo#501651, bgo#519026, bgo#534319, bgo#534137, bgo#517419,
    bgo#526796, bgo#530196, bgo#532965, bgo#525553, bgo#526572,
    bgo#528648, bgo#535021, bgo#521513, bgo#528433, bgo#533369,
    bgo#521045, bgo#521672, bgo#521946, bgo#522335, bgo#523015,
    bgo#523019, bgo#523338, bgo#524350, bgo#524579, bgo#524742,
    bgo#524950, bgo#525866, bgo#526320, bgo#527132, bgo#532852,
    bgo#534759, bgo#534764, bgo#521851, bgo#524344, bgo#525060,
    bgo#534177, bgo#520715, and bgo#523039
  + Updated translations
- Remove upstreamed patches: glib2-allocsize.patch,
  glib2-bnc373149-bgo518160-gbookmark-optimizations.diff,
  glib2-bnc373149-bgo523877-gbookmark-optimizations.diff,
  glib2-fix-bookmark-leak.diff,
  glib2-bnc379739-handle-blank-tryexec.patch, and
  glib2-bnc387387-gio-hide-inaccessible-mounts.patch.
* Tue May 20 2008 hpj@suse.de
- Add glib2-bnc387387-gio-hide-inaccessible-mounts.patch
  (bnc#387387).
* Tue May 13 2008 hpj@suse.de
- Add glib2-bnc379739-handle-blank-tryexec.patch (bnc#379739).
* Mon May 12 2008 maw@suse.de
- Add glib2-base64.patch (bnc#382708).
* Sun May 11 2008 coolo@suse.de
- fix rename of xxbit packages
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Mon May  5 2008 sbrabec@suse.cz
- Prefer eog over evince for image/tiff in gnome_defaults
  (bnc#346517).
* Thu May  1 2008 vuntz@suse.de
- Add glib2-bnc379332-desktop-su.patch to launch .desktop files as
  root when X-KDE-SubstituteUID and X-KDE-RootOnly are there.
  Fix bnc#379332.
* Tue Apr 29 2008 cthiel@suse.de
- obsolete glib2-<arch> via baselibs.conf
* Tue Apr 22 2008 hpj@suse.de
- Dropped previously disabled glib2-cast.patch.
* Mon Apr 14 2008 maw@suse.de
- Add glib2-fix-bookmark-leak.diff.
* Mon Apr 14 2008 sbrabec@suse.cz
- Use packageand form of branding supplement and removed self
  conflict.
* Fri Apr 11 2008 maw@suse.de
- Tag glib2-libtool.diff, which was added in the previous
  submission.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Wed Apr  9 2008 maw@suse.de
- Update to version 2.16.3:
  + Bugs fixed: bgo#521513, bgo#316221, bgo#520914, bgo#521045,
    bgo#521591, bgo#521672, bgo#522292, bgo#522335, bgo#523015,
    bgo#523298, bgo#523338, bgo#524350, bgo#524579, bgo#524742,
    bgo#524950, bgo#524344, bgo#525060, bgo#525192, bgo#524314,
    bgo#448943, bgo#525972, bgo#526619, bgo#491554, bgo#525866, and
    bgo#526796
  + Updated translations.
* Tue Apr  8 2008 sbrabec@suse.cz
- Fixed support for default application for particular MIME type in
  SuSEconfig.glib2.
- Split gnome_defaults.conf to a separate branding-style package,
  so branding vendors can easily change default applications.
- Build FAM GIO module in a separate package to support remote FS
  change notification without polling.
- Own %%{_libdir}/gio/modules directory.
* Fri Apr  4 2008 maw@suse.de
- Merge the BETA and STABLE branches
- Remove, pending further discussion, libgio-2_0-0's
  recommendation of gvfs.
* Tue Apr  1 2008 maw@suse.de
- Split out several shared library subpackages:
  + The new packages are:
  * libglib-2_0-0, which provides implementations of common data
    structures and algorithms
  * libgmodule-2_0-0, which provides portable loadable module
    functionality
  * libgthread-2_0-0, which provides portable threading
    functionality similar to that of pthreads
  * libgio-2_0-0, which provides abstracted IO operations
  * libgobject-2_0-0, which provides object oriented facilities
    available from C
  + Impact on consuming packages:
  * Consuming packages can continue to require glib2-devel to
    build
  * Packages that use AutoReqProv to pick up glib2 requirements
    should require no change
  * Packages that eschew AutoReqProv in favour of explicitly
    depending on glib2 will need to have their dependencies
    adjusted to explicitly depend upon the correct subpackage
  + The glib2 base package remains as a skeleton; the subpackages
    continue to depend upon it
  + The net effect of this change should be a reduction in the
    space required for applications which only consume a small part
    of glib2's functionality; packages which require more of it
    should see no change.
* Tue Apr  1 2008 coolo@suse.de
- moved recommendation of gvfs to gtk2
* Tue Apr  1 2008 sbrabec@suse.cz
- SuSEconfig script moved from gnome-vfs2 (bnc#372783).
* Tue Apr  1 2008 federico@novell.com
- Added glib2-bnc373149-bgo518160-gbookmark-optimizations.diff and
  glib2-bnc373149-bgo523877-gbookmark-optimizations.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=373149 - backport
  optimizations for GBookmarkFile.
* Mon Mar 17 2008 rodrigo@suse.de
- Upstream glib2-allocsize.patch that should have been upstreamed
* Thu Mar 13 2008 rodrigo@suse.de
- Update to version 2.16.1:
  * Fix a crash in g_themed_icon_new
  * Update the included PCRE to 7.6
- Tag patches
* Fri Feb 29 2008 jpr@suse.de
- Update to version 2.15.6:
  + GIO:
  * New file attributes: trash::item-count, filesystem::use-preview
  * Rename g_file_contains_file to g_file_has_prefix
  * g_file_query_filesystem_info grew async variants
  * g_themed_icon_append_name: new convenience function
  * g_content_type_get_icon is implemented now
  * Only show mounts in /media and ~
  * g_file_contains_file has been renamed to g_file_has_prefix
  + Win32:
  * g_win32_get_package_installation_directory_of_module: new
    function which supersedes
    g_win32_get_package_installation_directory
  * Use alertable wait functions so that I/O completion routines or
    user-mode Asynchronous Procedure Calls can be run
  * Fix race conditions in g_spawn implementation on win32
  * g_uri_get_scheme has been renamed go g_uri_parse_scheme
  + Updated translations
* Mon Feb 18 2008 maw@suse.de
- Remove glib-cast.patch at least temporarily.
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.15.5:
  + GIO:
  * g_volume_should_automount: new function to determine if a
    volume should be mounted automatically
  * g_file_query_default_handler: new convenience function to
    get the default handler for a file
  * g_app_info_launch_default_for_uri new convenience function to
    launch the default handler for a URI
  * Use mimeapps.list and defaults.list as discussed on xdg list
    recently
  * g_app_info_get_default_for_uri_scheme has a real implementation
    now (gvfs provides a GConf-based implementation)
  * There is the beginning of a test suite
  * standard::description: new file attribute
  * GMountMountFlags flags argument added to mount calls
  + GObject:
  * class initialization is now threadsafe
  + The included PCRE has been bumped to 7.6; however, we continue
    using the system PCRE
  + Updated translations
- Respin glib-casts.patch once again.
* Tue Jan 29 2008 maw@suse.de
- Update to version 2.15.4:
  + G_GNUC_PRETTY_FUNCTION has been deprecated
  + GIO:
  - g_file_copy has an async variant now
  - Drives and volumes now have API to get identifiers
    like Hal UDIs or UUIDs
  - There is now a registration API to let modules register
    extensions they provide, such as volume monitor
    implementations
  + Bugs fixed: bgo#511807, bgo#316260, bgo#385132, bgo#484261,
    bgo#510292, bgo#511580, bgo#511654, bgo#487909, and bgo#512381
  + Updated translations.
* Thu Jan 24 2008 maw@suse.de
- Update to version 2.15.3:
  + GChecksum:
  * g_checksum_update can accept nul-terminated strings
  * The MD5 implementation works correctly on buffers
    that are longer than 64 bytes
  + GIO:
  * Don't include a copy of the inotify headers, rely on
    system headers
  * g_file_find_enclosing_mount has an async variant now
  * Reduntant seek API on file streams has been removed
  + Bugs (bugzilla.gnome.org) fixed: #508602, #508771, #508773,
    [#509465], #509626, #509990, #510448, and #510855
  + Updated translations.
* Wed Jan 23 2008 maw@suse.de
- Respin glib-cast.patch.
* Tue Jan 22 2008 maw@suse.de
- Recommend gvfs.
* Tue Jan 22 2008 maw@suse.de
- Update to version 2.15.2:
  + New API:
  * GIO: a new VFS API, designed to replace GnomeVFS.  The new
    GIO implementation in glib has support for local filesystems,
    and the new gvfs module (coming in a separate package)
    contains various backend implementations (cifs, ftp, sftp,
    http, etc)
  * GChesksum: a new implementation of various hash algorithms
    such as MD5, SHA-1, and SHA-256
  * GTest: a test framework
  * Smaller changes to GHash, GMarkup, GKeyfile, GAsyncQueue,
    GError and the i18n subsystem
  + Now builds with automake 1.10
  + Bugs (bugzilla.gnome.org) fixed: #455725, #467537, #497033,
    [#504527], #445362, #482313, #317775, #418778, #436293, #466557,
    [#468882], #469551, #479724, #490061, #490637, #495294, #496046,
    [#498113], #500506, #500638, #500875, #502511, #502927, #503029,
    [#503222], #503420, #503470, #504227, #71704, #491957, #491959,
    [#491965], #491966, #491968, #491970, #491974, #491975, #491979,
    [#491982], #501107, #501997, #502590, #464259, #496518, #498728,
    [#500361], #501853, #503862, #142676, #367550, #375651, #443648,
    [#449937], #452887, #491549, #500507, #508224, #508074, #508108,
    [#508309], #508378, #508719, #508773, #504829, #505258, #505815,
    [#491218], #315437, #476856, #480122, #495589, #500273, #504142,
    [#504879], #505042, #505058, #505674, #505730, #505887, #506374,
    [#506461], #503051, #506395, #507628, #505195, #507822, #506377,
    and #507835
  + Updated translations
- Remove glib-gcc43.patch, which has been upstreamed.
* Mon Dec 17 2007 maw@suse.de
- Update to version 2.14.4:
  + Bugs (bugzilla.gnome.org) fixed:
    [#494602], #492677, #490061, #418778, #467537, #466557, #490637,
    [#445362], #498113, #498728, and #469551
- Rename allocsize.patch to glib2-allocsize.patch.
* Thu Nov 29 2007 maw@suse.de
- Use the system's PCRE (#325921).
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.14.3:
  + Bugs (bugzilla.gnome.org) fixed include #469231, #478349,
    [#483337], #478459, #477957, #359165, #476849, #493688, #488068,
    and #487491
  + Updated translations
  + Use PCRE 7.4
- Update gtk-doc.m4: use the version from gtk-doc 1.9.
* Mon Oct 15 2007 meissner@suse.de
- merge malloc size markup from BETA.
* Thu Oct 11 2007 rguenther@suse.de
- Fix glib2 headers for C99 programs and GCC 4.3.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 2.14.1:
  * more bugs fixed
  * documentation fixes
  * translation update
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.14.0:
  + g_unichar_combining_class is public
  + Add a goffset type, and add G_MAXSSIZE and G_MINSSIZE
  + Use PCRE 7.2
  + Bugs (bugzilla.gnome.org) fixed: #453998, #462549, and
    [#417068]
  + Updated translations.
* Fri Aug 24 2007 maw@suse.de
- Update glib-casts.patch to fix g_array_index on ia64.
* Thu Aug  9 2007 sbrabec@suse.cz
- Removed gtk-doc from BuildRequires and included required
  gtk-doc.m4 to Sources (preprocessed docs are now included, this
  shortens bootstrap compilation path).
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Sun Aug  5 2007 maw@suse.de
- The previous changelog entry refers to #297636.
* Sun Aug  5 2007 schwab@suse.de
- Fix broken interface.
* Thu Jul 19 2007 maw@suse.de
- Update to version 2.13.7
  * The memory corruption warning from the slice allocator that
  occurred when threads were initialized after the slice allocator
  has been removed, as the slice allocator now works fine
  in this scenario.
  * New functions g_once_init_enter() and g_once_init_leave() make
  it easier to write threadsafe one-time initialization functions
  * Bugs fixed: [against bugzilla.gnome.org]
  454473 Simple XML Subset Parser terminates on invalid XML
  445813 g_module_open error, add file name
  453796 errno gets clobbered by g_filename_display_name
  341988 don't use "-c" with msgfmt in Makefile.in.in
  447048 Please produce slightly more output during long tests
  454785 GModule documentation lists same block of code twice.
  454786 GModule documentation lists same paragraph twice.
  383155 small docs quirks in gobject/closure API documentation
  65041  _get_type() functions aren't thread safe
  * Updated translations
  Assamese (as)
  Spanish (es)
  Gujarati (gu)
  Japanese (ja)
  Korean (ko)
  Macedonian (mk)
* Thu Jul  5 2007 maw@suse.de
- Update to version 2.13.5
- Overview of Changes from GLib 2.12 to GLib 2.13.0
  * Add GSequence, a list that is implemented using
  a balanced binary tree.
  * Add GRegex, an implementation of Perl regular expressions,
  based on PCRE.
  * Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available.
  * Support static initialization of GQeues with G_QUEUE_INIT,
  g_queue_init() and g_queue_clear().
  * Add g_string_chunk_clear() for clearing a
  GStringChunk.
  * Add g_unichar_get_script() to obtain Unicode
  script information.
  * Add g_unichar_iszerowidth() to obtain information
  about zero-width characters.
  * Add G_GNUC_MAY_ALIAS which wraps the gcc may_alias
  type attribute.
  * G_GNUC_INTERNAL has a working definition for the
  Sun Studio compiler. This requires the macro to
  be positioned before the function declaration.
  * The slice allocator can produce detailed debugging
  information with G_SLICE=debug-blocks.
  * Modules support G_DEBUG flags resident-modules and
  bind-now-modules.
  * Add G_DEFINE_DYNAMIC_TYPE() to make it easier
  to define types in modules.
  * Bug fixes: too many to list them in detail here.
  * New and updated translations (be,bg,bn,ca,cs,de,
  en_CA,en_GB,et,fa,fr,he,hu,it,ja,ku,lt,mg,mk,ml,
  nb,ne,nn,pt,pt_BR,ro,sr,sr@Latn,sv,ta,uk,vi,zh_CN,
  zh_HK,zh_TW)
* Thu Apr 12 2007 maw@suse.de
- Pass --enable-static to configure (#263998).
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.12.11
- Fixes for bugzilla.gnome.org 399611, 350802, 416062, 346808,
  398069, 346808, 398203, 399971, 400044, 396899, 404832, and
  149144.
* Mon Mar  5 2007 jhargadon@suse.de
- removed obsolete patch glib2-unexpanded-variables.patch (#249204)
* Thu Feb 22 2007 sbrabec@suse.cz
- Removal of gnome-filesystem files moved to opt_gnome-compat.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.12.9
- Bugs fixed:
  397139 glib-2.12.8 breaks ABI
  393812 glib links against pthread
  394258 gthread.c: illegal include order
  394641 Undefined reference in gthread
  394150 gettime implementation breaks compilation on darwin 6
  395203 g_timer_elapsed off by 2 order of magnitude
  394262 image/* mimetype breaks stuff
  392636 glib-2.0.m4 ignores PKG_CONFIG environment variable
  395419 Glib-2.12.7 with mingw(w32api-3.8/windows) fails to compi...
  329031 G_GNUC_INTERNAL fails with gcc-2.95
  354707 No return() in non-void function
  387260 hang in zenity
  387823 glib 2.12.5 is breaking hal
  391370 Recent crash on file
  346955 NON-ASCII UTF-8 arg_description in GOptionEntry causes wr...
  371631 Bug in g_bit_nth_lsf?
  376645 Win32: Fatal warnings abort application even if IsDebugge...
  389300 g_utf8_collate_key modifies the locale
  390913 gslice.c: illegal declaration (C99)
  304517 glib/libcharset/localcharset.c/_g_locale_charset_raw: han...
  336438 unicode collate test failing
  391364 Warnings during ./configure due to $SED being undefined i...
  391367 config.status warning for datarootdir support in glib-get...
  371670 Faster g_bit_* operations
  302672 poll is completely broken on Mac OS X 10.4
  362328 errorcheck_mutex_test fails to compile due to missing -pthread
  316434 glib-2.6.6 fails to compile on AIX 5.1 due to assembler errors
  172406 gconvert.c, function open_converter
  327800 Hang during self-test of threads
  343825 Double expansion in m4macros/glib-gettext.m4 will fail with
    newer autoconf
  380801 build on Solaris does not work out of the box
  386252 HEAD broken with last commit
  138153 g_utf8_next_char problem with gcc -Wcast-qual
  161288 glib doesn't configure well on Mac OS < 10.3
  321977 GIOChannel ref_count private variable should be gint instead
    of guint
  343191 GKeyFile silently loses values
  346373 test failures in glib-2.10.3 on NetBSD
  347944 make check fails 2 test on Solaris 9
  355955 Hash tables in gwin32.c do not g_strdup their keys
  357585 Calls to set_cloexec inefficient on Solaris
  359190 gtimer.c failes to compile on solaris-2.9
  378078 extremely unlikely read-after-free in instance_real_class_get
  379207 gthreadpool.h causes warning with GCC and -Wshadow
  385132 solaris gettext support fix
  385910 Suprising behaviour with duplicate groups in GKeyFile
  386838 mapping-test freezes
  315061 compiler specific flag in gthread-2.0.pc
  362543 Compilation fail when configured with --disable-visibility
  362918 monotonic clock test uses AC_TRY_RUN
  369908 g_key_file_get_string not stripping final space
  373864 sanity_check is a bash script
  (These bugs are viewable on bugzilla.gnome.org)
- Make GKeyFile accept keys that are commonly used
- GKeyFile:
  + The stricter syntax checks introduced in 2.12.5 have been reduced
    to warnings for the 2.12 series
- GSlice:
  + The slice allocator has gained address validation that
    can be activated with the environment variable
    G_SLICE=debug-blocks
  + The allocator emits a warning if it detects too late
    thread initialization
- GOption:
  + Take double-width and zero-width characters into account
    when formatting --help output.
* Thu Jan 25 2007 sbrabec@suse.cz
- Remove obsolete files kept by gnome-filesystem package.
* Thu Dec  7 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov  2 2006 jhargadon@suse.de
- added a patch to m4macros/glib-gettext.m4 so that the build
  variables expand properly.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.12.4
- Fix build problems related to Posix timers
- Bugs fixed
  321974 nanosleep on AIX / g_timer API using high resolution timers
  353584 va_end called on caller supplied va_list
  353580 va_copy detection breaks if user sets
    CFLAGS=-Werror-implicit-function-declaration
  354522 Small problem with PLT hiding 6 symbols
  358421 typos in gmain.c
- New and updated translations
* Tue Sep 12 2006 jhargadon@suse.de
- update to version 2.12.3
- Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available
- Make the construction of singleton objects work
  witout warnings.
- 351583 API documentation issues with 2.15 release
- 336114 desktop locks immediately after changing the system clock
- 351853 GKeyFile creates non-UTF-8 error messages
- Translation updates (fr,hu,ja,ku,lt,lv,ml,or,
  pt,ru,sv,vi,zh_CN)
* Tue Aug 29 2006 jhargadon@suse.de
- update to version 2.12.2
- Normalization is following Unicode TR #29
- 348491 g_utf8_strup() and g_utf8_strdown() returns
  string with NUL bytes
- 349825 GKeyFile always inserts a newline before a group
- 347842 g_unichar_isxdigit() is too general about what
  it considers a digit
- 348694 g_utf8_normalize() hasn't been updated to PR #29
- 348785 Hint about G_DEBUG in Message Logging docs
- 349792 Wrong english string
- 349952 gparamspecs.c uses gcc feature
- Translation updates
* Mon Jul 31 2006 gekker@suse.de
- Update to version 2.12.1
  * Update to final Unicode Character Database 5.0.0
  * Bugs fixed:
  346660 issues with base64 api documentation / g_base64_decode_cl...
  348136 Coverity reports allocation of wrong size CID #2839
  336281 Update to UCD 5.0
  346197 g_date_strftime %%F option doesnt work for win32
  348011 Small optimization to real_toupper()
  246494 prototype mismatch in glib/gconvert.c
  * New and updated translations (bg,bn_IN,ca,dz,eu,fi,
  fr,he,it,ja,mk,or,pt)
* Tue Jul 18 2006 rml@suse.de
- Update to glib 2.12:
  - Lots of bug fixes
  - GSlice!
- Drop upstream patches
* Tue Jun  6 2006 sbrabec@suse.cz
- Fixed locale detection in profile scripts (#180613):
  * Fixed invalid charset typos.
  * Added support for Persian, Armenian and Khmer.
  * Added ISO-8859-1 fallback where applicable.
* Thu Mar 30 2006 sbrabec@suse.cz
- Renamed profile to be executed after lang.*, otherwise
  G_FILENAME_ENCODING cannot be set.
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 gekker@suse.de
- Fix gstaticmutex define (#141215 patch byjblunck)
* Tue Jan 17 2006 zsu@suse.de
- Fixed implicit cast issue introduced by bugfix #316221
  http://bugzilla.gnome.org/show_bug.cgi?id=327022
* Fri Jan 13 2006 sbrabec@suse.cz
- Updated to version 2.8.5.
* Mon Jan  2 2006 sbrabec@suse.cz
- Fixed Aragonese support in profile scripts.
* Fri Nov 18 2005 sbrabec@suse.cz
- Updated to version 2.8.4.
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed strict aliasing problems in macros.
  http://bugzilla.gnome.org/show_bug.cgi?id=316221
* Fri Nov  4 2005 schwab@suse.de
- Fix use of atomic builtins.
* Tue Oct 11 2005 gekker@suse.de
-  Update to version 2.8.3
* Wed Sep 28 2005 gekker@suse.de
- Update to version 2.8.2
- Add -fno-strict-aliasing to CFLAGS
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.8.1
* Mon Aug 15 2005 rodrigo@suse.de
- Update to version 2.8.0
* Wed Aug 10 2005 gekker@suse.de
- Update to version 2.7.7
* Mon Aug  1 2005 gekker@suse.de
- Update to version 2.7.4
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.7.2
* Thu Jun 23 2005 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu Jun 16 2005 gekker@suse.de
- Update to version 2.7.0.
- Fix SENTINEL patch to work with upstream version.
* Tue Jun  7 2005 gekker@suse.de
- Update to version 2.6.4.
* Tue May 31 2005 schwab@suse.de
- Build in parallel.
- Use autoreconf.
* Wed Apr  6 2005 schwab@suse.de
- Cleanup neededforbuild.
* Wed Apr  6 2005 meissner@suse.de
- Added gettext-devel to neededforbuild.
* Fri Apr  1 2005 meissner@suse.de
- disable visibility hackery to build with gcc4.
* Wed Mar  2 2005 gekker@suse.de
- Updated to version 2.6.3.
* Mon Feb  7 2005 sbrabec@suse.cz
- Updated to version 2.6.2.
* Wed Jan 19 2005 meissner@suse.de
- define G_GNUC_SENTINEL for gcc >= 4
- specify G_GNUC_SENTINEL where applicable.
* Sun Jan 16 2005 clahey@suse.de
- Updated to version 2.6.1.
* Mon Jan  3 2005 gekker@suse.de
- Update to version 2.6.0
* Wed Dec 22 2004 ro@suse.de
- remove no translation (obsolete with nb present)
* Tue Dec 14 2004 gekker@suse.de
- Update version to 2.5.7.
- Remove the no-no patch, as it is upstreamed.
* Tue Nov 16 2004 clahey@suse.de
- Update to glib 2.5.6.
* Mon Oct 18 2004 ro@suse.de
- remove no locale support: nb is already there
* Tue Oct 12 2004 sbrabec@suse.cz
- Require gnome-filesystem (#47068).
* Wed Sep 29 2004 sbrabec@suse.cz
- Fixed glib2.csh for unset LANG (#46282).
* Wed Aug 25 2004 federico@ximian.com
- Update to glib 2.4.5
- Removed glib-pattern.diff, as this bug is fixed in the tarball.
* Wed Aug 25 2004 kukuk@suse.de
- Avoid /bin/sh as PreRequire
* Tue Jul  6 2004 coolo@suse.de
- glib2-devel requires the very same version of glib2
* Tue Jun 22 2004 sbrabec@suse.cz
- glib2.sh, glib2.csh: G_FILENAME_ENCODING must be comma separated.
* Tue Jun  8 2004 sbrabec@suse.cz
- Fixed glib2.csh (#41665).
* Wed May  5 2004 sbrabec@suse.cz
- Added pkgconfig to requirement of glib2-devel (#37628).
* Mon Apr 19 2004 sbrabec@suse.cz
- Fix of strict aliasing fix.
* Mon Apr 19 2004 sbrabec@suse.cz
- Fixed strict aliasing.
* Thu Apr 15 2004 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.6).
- Removed gconvert-errno-altering.patch - this one was not accepted for
  mainstream but strerror() errno altering was fixed.
- Added filename encoding guesser to /etc/profile.d/glib2.*.
* Mon Mar 22 2004 sbrabec@suse.cz
- Removed references to mkinstalldirs in glib-gettextize (#36621).
* Wed Mar 17 2004 sbrabec@suse.cz
- Use -fno-strict-aliasing.
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan  9 2004 schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Oct 17 2003 adrian@suse.de
- fix missing %%run_ldconfig
- build as user
* Wed Sep 24 2003 sbrabec@suse.cz
- Added errno save patches (g_strerror(errno) alters errno).
  Fixes more issues, at least:
  http://bugzilla.gnome.org/show_bug.cgi?id=116617
  http://bugzilla.gnome.org/show_bug.cgi?id=122939
  http://bugzilla.gnome.org/show_bug.cgi?id=123040
* Mon Sep 15 2003 sf@suse.de
- remove debug flags, add -O2 again
* Thu Sep 11 2003 sf@suse.de
- fix segfault in eog on AMD64 [bug 30483]
* Thu Aug 28 2003 sbrabec@suse.cz
- Updated to version 2.2.3.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Profile files modified.
* Wed Jun 11 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Require gnome-filesystem for glib2-doc.
- Updated neededforbuild.
* Tue Mar 11 2003 olh@suse.de
- provide static glib version (#24897)
* Mon Feb  3 2003 hhetter@suse.de
- updated to version 2.2.1, from changes:
  * Win32
  - Improve handling of stderr/stdout
  - Install .def files
  - Fix quoting for GSpawn
  - Miscellaneous bug fixes
  * configure fixes
  * New and updated translations
* Fri Jan 10 2003 sbrabec@suse.cz
- Branched glib2-doc.
* Thu Jan  9 2003 sbrabec@suse.cz
- Updated to version 2.2.0.
- Updated %%files.
* Tue Nov  5 2002 hhetter@suse.de
- updated to version 2.0.7, bugfix release:
  * Fix C++ warnings in gtype.h
  * Fix g_type_fundamental_next()
  * Fix various missing includes of config.h
  * Handle main loop initialization before g_thread_init
  * Various 64-bit fixes
  * Fix GPoll on Win32
  * Fix bug with buffering on UTF-8 IOChannels
  * Misc bug and build fixes
  * Updated and new translations (be,cs,de,fa,it,lv,pt_BR,tr)
* Tue Aug 13 2002 hhetter@suse.de
- gtk-doc usage conditional
* Tue Aug 13 2002 hhetter@suse.de
- correct URL and Source tag in specfile (#17638)
* Thu Aug  8 2002 hhetter@suse.de
- devel package requires glib2
* Mon Aug  5 2002 hhetter@suse.de
- updated to version 2.0.6, fron changes:
  * Fix problem with interface prerequisites
  * Clean up debug spew from GObject
  * Compiler warning fixes
  * Fix some problems with g_build_path()
  * Fixes for --disable-debug
  * Threading fixes
  * Documentation fixes
  * Misc bug fixes
  * Updated translations (bg,ko,vi)
* Mon Jun 17 2002 jordi@suse.de
- Updated to version 2.0.4
  * Fix some 64-bit problems
  * Add note about Tru64 iconv to INSTALL
  * Fix problem with timouts > MAXINT
  * Updated translations
* Fri Jun 14 2002 ro@suse.de
- add gnome2.{sh,csh} to have /opt/gnome2/bin first in PATH
  on 7.3 and older distros
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 2.0.3
* Thu Apr 25 2002 meissner@suse.de
- fixed %%_lib issues.
* Tue Apr  9 2002 schwab@suse.de
- Fix missing includes.
* Mon Apr  8 2002 hhetter@suse.de
- updated to version 2.0.1
* Thu Jan 31 2002 hhetter@suse.de
- updated to version 1.3.13 [GNOME desktop alpha2]
* Fri Jan 11 2002 hhetter@suse.de
- updated to version 1.3.12
* Tue Dec 11 2001 ro@suse.de
- export LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 hhetter@suse.de
- updated to version 1.3.11, changes include:
  * Win32 fixes
  * Documentation improvements
  * Portable directory handling API
  * Threading fixes
  * Fix excess relocations in Unicode tables
  * Fix gpattern for UTF-8
  * Support overriding class closures
  * Support for derivation from G_TYPE_POINTER
  * Hide pointers to type information inside GType to reduce locking
  * Adds check for direct inclusion of gobject/*.h
  * GObject API cleanups
* Tue Nov 20 2001 ro@suse.de
- really build libgmodule, libgobject and libgthread
* Thu Nov 15 2001 hhetter@suse.de
- fixed build to provide libgmodule and libgobject
* Tue Nov 13 2001 hhetter@suse.de
- updated to version 1.3.10
* Mon Oct  1 2001 hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
